CREATE TABLE `modelintervalinp` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`min_mortality_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`min_mortality_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`avg_mortality_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`min_feed_issue_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`min_feed_issue_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`avg_feed_issue_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`min_fodder_qty_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`min_fodder_qty_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`avg_fodder_qty_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`min_mat_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_mat_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_mat_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_person_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_person_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_person_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_other_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_other_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_other_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	
	`max_births_sow_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_births_sow_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_births_sow_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
	`max_births_piglets_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_births_piglets_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_births_piglets_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
	`max_reared_piglets_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_reared_piglets_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_reared_piglets_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
   `max_addition_fattening_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	`max_addition_fattening_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
  	`avg_addition_fattening_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	  
   `max_removal_live_weight_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`max_removal_live_weight_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`avg_removal_live_weight_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	  
	`max_production_sow_meat_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	`max_production_sow_meat_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	`avg_production_sow_meat_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	  
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Volba hodnot možná v intervalu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;

CREATE TABLE `modelinp` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`mortality_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)',
	`feed_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)',
	`fodder_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Krmiva Kč/kg/carcas',
	`mat_cost_amt` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč',
	`person_cost_amt` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč',
	`other_cost_amt` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč',
	`births_sow_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Počet porodů na prasnici (rok)',
	`births_piglets_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Počet narozených selat na prasnici (rok)',
	`reared_piglets_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)',
	`addition_fattening_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)',
	`removal_live_weight_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)',
	`production_sow_meat_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal' COLLATE 'utf8_czech_ci',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;


CREATE TABLE `modeldatamin` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`type_ind` CHAR(3) NOT NULL COMMENT ' 1-Výrazně pod\\\\\\\\n 2-Mírně pod\\\\\\\\n 3-Na průměru 4-EU\\\\\\\\n Mírně nad\\\\\\\\n 5-Výrazně nad\\\\\\\\n Z-Země' COLLATE 'utf8_czech_ci',
	`country_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Kód země' COLLATE 'utf8_czech_ci',
	`group_ind` CHAR(1) NULL DEFAULT NULL COMMENT 'Skupiny pro porovnání min. vstupů (A,B,C,D,E)' COLLATE 'utf8_czech_ci',
	`mortality_qty` FLOAT NULL DEFAULT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)',
	`feed_qty` FLOAT NULL DEFAULT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)',
	`fodder_qty` FLOAT NULL DEFAULT NULL COMMENT 'Krmiva Kč/kg/carcas',
	`mat_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč',
	`person_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč',
	`other_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal' COLLATE 'utf8_czech_ci',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB
AUTO_INCREMENT=80;


CREATE TABLE `modeldatamax` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`type_ind` CHAR(3) NULL DEFAULT NULL COMMENT ' 1-Výrazně pod\\\\n 2-Mírně pod\\\\n 3-Na průměru 4-EU\\\\n Mírně nad\\\\n 5-Výrazně nad\\\\n Z-Země' COLLATE 'utf8_czech_ci',
	`country_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Kód země' COLLATE 'utf8_czech_ci',
	`group_ind` CHAR(1) NULL DEFAULT NULL COMMENT 'Skupiny pro porovnání max. vstupů (A,B,C,D,E)' COLLATE 'utf8_czech_ci',
	`births_sow_qty` FLOAT NULL DEFAULT NULL COMMENT 'Počet porodů na prasnici (rok)',
	`births_piglets_qty` FLOAT NULL DEFAULT NULL COMMENT 'Počet narozených selat na prasnici (rok)',
	`reared_piglets_qty` FLOAT NULL DEFAULT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)',
	`addition_fattening_qty` FLOAT NULL DEFAULT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)',
	`removal_live_weight_qty` FLOAT NULL DEFAULT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)',
	`production_sow_meat_qty` FLOAT NULL DEFAULT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal' COLLATE 'utf8_czech_ci',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;
ALTER TABLE `modelinp`
	ADD COLUMN `name_text` VARCHAR(256) NULL COMMENT 'Název farmy' AFTER `conv_qty`,
	ADD COLUMN `email` VARCHAR(120) NULL COMMENT 'Kontaktní email' AFTER `name_text`;
ALTER TABLE `modelinp`
	ADD COLUMN `production_area` VARCHAR(1) NULL DEFAULT NULL COMMENT 'Výroba je umístěna v oblasti: 1-kukuřičná, 2-řepařská, 3-bramborářská, 4-horská' AFTER `email`,
	ADD COLUMN `farm_capacity` VARCHAR(1) NULL DEFAULT NULL COMMENT 'Kapacita farmy (ks živých zvířat): 1-do 100 ks, 2-do 500 ks, 3-do 1000 ks, 4-nad 1000 ks ' AFTER `production_area`;
ALTER TABLE `modeldatamin`
	COMMENT='Vstupní hodnoty minimalizace';
ALTER TABLE `modeldatamax`
	COMMENT='Vstupní hodnoty maximalizace';	
ALTER TABLE `modelinp`
	COMMENT='Vstupní hodnoty modelu zadané uživatelem';	