CREATE TABLE `modelintervalinp` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`min_mortality_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`min_mortality_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`avg_mortality_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`min_feed_issue_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`min_feed_issue_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`avg_feed_issue_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`min_fodder_qty_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`min_fodder_qty_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`avg_fodder_qty_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`min_mat_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_mat_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_mat_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_person_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_person_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_person_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_other_cost_amt_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`min_other_cost_amt_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`avg_other_cost_amt_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	
	`max_births_sow_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_births_sow_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_births_sow_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
	`max_births_piglets_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_births_piglets_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_births_piglets_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
	`max_reared_piglets_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`max_reared_piglets_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`avg_reared_piglets_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	  
   `max_addition_fattening_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	`max_addition_fattening_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
  	`avg_addition_fattening_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	  
   `max_removal_live_weight_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`max_removal_live_weight_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`avg_removal_live_weight_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	  
	`max_production_sow_meat_from` decimal(10,2) NULL DEFAULT NULL COMMENT 'OD - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	`max_production_sow_meat_to` decimal(10,2) NULL DEFAULT NULL COMMENT 'DO - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	`avg_production_sow_meat_text` varchar(40) NULL DEFAULT NULL COMMENT 'Průměr - Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	  
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Volba hodnot možná v intervalu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;

CREATE TABLE `modeinp` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	
	`mortality_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)' COLLATE 'utf8_czech_ci',
	`feed_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)' COLLATE 'utf8_czech_ci',
	`fodder_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Krmiva Kč/kg/carcas' COLLATE 'utf8_czech_ci',
	`mat_cost_amt` decimal(10,2) NULL DEFAULT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`person_cost_amt` decimal(10,2) NULL DEFAULT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	`other_cost_amt` decimal(10,2) NULL DEFAULT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč' COLLATE 'utf8_czech_ci',
	
   `births_sow_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`births_piglets_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`reared_piglets_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`addition_fattening_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	`removal_live_weight_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`production_sow_meat_qty` decimal(10,2) NULL DEFAULT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;

CREATE TABLE `modedatamin` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`type_ind` CHAR(3) NULL DEFAULT NULL COMMENT ' 1-Výrazně pod\\\\n 2-Mírně pod\\\\n 3-Na průměru 4-EU\\\\n Mírně nad\\\\n 5-Výrazně nad\\\\n Z-Země' COLLATE 'utf8_czech_ci',
	`country_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Kód země' COLLATE 'utf8_czech_ci',
	`group_ind` CHAR(1) NULL DEFAULT NULL COMMENT 'Skupiny pro porovnání min. vstupů (A,B,C,D,E)' COLLATE 'utf8_czech_ci',
	`mortality_qty` FLOAT NULL DEFAULT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)',
	`feed_qty` FLOAT NULL DEFAULT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)',
	`fodder_qty` FLOAT NULL DEFAULT NULL COMMENT 'Krmiva Kč/kg/carcas',
	`mat_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč',
	`person_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč',
	`other_cost_amt` FLOAT NULL DEFAULT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal' COLLATE 'utf8_czech_ci',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;

CREATE TABLE `modedatamax` (
	`id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
	`type_ind` CHAR(3) NULL DEFAULT NULL COMMENT ' 1-Výrazně pod\\n 2-Mírně pod\\n 3-Na průměru 4-EU\\n Mírně nad\\n 5-Výrazně nad\\n Z-Země' COLLATE 'utf8_czech_ci',
	`country_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Kód země',
	`group_ind` CHAR(1) NULL DEFAULT NULL COMMENT 'Skupiny pro porovnání max. vstupů (A,B,C,D,E)' COLLATE 'utf8_czech_ci',
		
   `births_sow_qty` float NULL DEFAULT NULL COMMENT 'Počet porodů na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`births_piglets_qty` float NULL DEFAULT NULL COMMENT 'Počet narozených selat na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`reared_piglets_qty` float NULL DEFAULT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)' COLLATE 'utf8_czech_ci',
	`addition_fattening_qty` float NULL DEFAULT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)' COLLATE 'utf8_czech_ci',
	`removal_live_weight_qty` float NULL DEFAULT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)' COLLATE 'utf8_czech_ci',
	`production_sow_meat_qty` float NULL DEFAULT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)' COLLATE 'utf8_czech_ci',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'Zapsal' COLLATE 'utf8_czech_ci',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum zápisu údajů',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`id`)
)
COMMENT='Vstupní hodnoty modelu'
COLLATE='utf8_czech_ci'
ENGINE=InnoDB;


CREATE TABLE `

prodbatch` (
	`batch_id_num` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Identifika�n� ��slo �ar�e',
	`prod_code` CHAR(15) NOT NULL COMMENT 'K�d produktu',
	`supplier_code` CHAR(8) NOT NULL COMMENT 'Dodavatel dod�vky',
	`production_date` DATE NULL DEFAULT NULL COMMENT 'Datum v�roby',
	`expire_date` DATE NULL DEFAULT NULL COMMENT 'Datum trvanlivosti',
	`vend_batch_code` CHAR(20) NULL DEFAULT NULL COMMENT '�ar�e v�robce',
	`supplier_type` CHAR(1) NOT NULL COMMENT 'Typ dodavatele\\nHodnoty: \\nE = extern�\\nV = vlastn�',
	`mnf_batch_ind` CHAR(1) NOT NULL COMMENT 'Typ v�robn� �ar�e \\nHodnoty:D=datum v�roby ve tvaru RRnnn (nnn=po�adov� ��slo dne v roce)\\nT = textov� informace',
	`bar_code` CHAR(15) NULL DEFAULT NULL COMMENT '��rov� k�d �ar�e',
	`valid_flag` BIT(1) NOT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`batch_id_num`),
	INDEX `FK_prodbatch_product` (`prod_code`),
	INDEX `FK_prodbatch_vendor` (`supplier_code`),
	CONSTRAINT `FK_prodbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_prodbatch_vendor` FOREIGN KEY (`supplier_code`) REFERENCES `vendor` (`vend_code`)
)
COMMENT='Karta �ar�e produktu '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB;
;
CREATE TABLE `prodledgbatch` (
	`batch_seq_num` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'po�adov� ��slo pohybu z�soby �ar�e',
	`batch_id_num` INT(11) NOT NULL COMMENT 'ID �ar�e',
	`batch_stat_num` INT(11) NOT NULL COMMENT 'Po�.��slo �ar�ov� z�soby',
	`prod_code` CHAR(15) NOT NULL COMMENT 'k�d produktu',
	`ware_code` CHAR(3) NOT NULL COMMENT 'k�d skladu',
	`place_code` CHAR(3) NOT NULL COMMENT 'k�d um�st�n�',
	`seq_num` INT(11) NOT NULL COMMENT 'Po�adov� ��slo skladov�ho pohybu',
	`desc_text` VARCHAR(80) NULL DEFAULT NULL COMMENT 'Popis pohybu',
	`trantype_ind` CHAR(1) NOT NULL COMMENT 'indik�tor pohybu a=Inicializace �ar��\\nb=P�evod �ar�� mezi dv�ma um�st�n�mi v jednom skladu\\n c=Zm�na �ar�ov� identifikace (p�evod mezi �ar�emi) v r�mci skladu a um�st�n�\\nd=Korekce stavu �ar�e beze zm�ny stavu skladu\\n e=Deaktivace �ar�ov� evidence ',
	`kind_code` CHAR(1) NOT NULL COMMENT 'typ pohybu P/V (p��jem/v�dej)',
	`source_num` INT(11) NOT NULL COMMENT '��slo dokladu',
	`line_num` SMALLINT(6) NOT NULL COMMENT '��dka dokladu',
	`ship_date` DATE NULL DEFAULT NULL COMMENT 'datum expedice',
	`tran_date` DATE NOT NULL COMMENT 'datum transakce',
	`tran_qty` DECIMAL(16,4) NULL COMMENT 'mno�stv� pohybu',
	`entry_date` DATE NULL COMMENT 'datum z�pisu',
	`entry_time` DATETIME NULL COMMENT '�as z�pisu',
	`entry_code` CHAR(8) NULL COMMENT 'Zapsal',
	`valid_flag` BIT NOT NULL COMMENT 'Zapsal',
	PRIMARY KEY (`batch_seq_num`),
	CONSTRAINT `FK_prodledgbatch_prodbatch` FOREIGN KEY (`batch_id_num`) REFERENCES `prodbatch` (`batch_id_num`) ON DELETE CASCADE,
	CONSTRAINT `FK_prodledgbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_prodledgbatch_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`),
	CONSTRAINT `FK_prodledgbatch_prodledg` FOREIGN KEY (`seq_num`) REFERENCES `prodledg` (`id_num`)
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB;
ALTER TABLE `typzav`
	ADD CONSTRAINT `FK_typzav_coa` FOREIGN KEY (`pay_acct_code`) REFERENCES `coa` (`acct_code`),
	ADD CONSTRAINT `FK_typzav_apkind` FOREIGN KEY (`kind_code`) REFERENCES `apkind` (`kind_code`)
;
CREATE TABLE `prodstatbatch` (
	`prod_code` CHAR(15) NOT NULL COMMENT 'k�d produktu',
	`ware_code` CHAR(3) NOT NULL COMMENT 'k�d skladu',
	`batch_id_num` INT(11) NOT NULL COMMENT 'Identifika�n� ��slo �ar�e ',
	`place_code` CHAR(3) NOT NULL COMMENT 'k�d um�st�n�',
	`batch_stat_num` INT(11) NOT NULL DEFAULT '0' COMMENT 'Po�adov� ��slo �ar�ov� z�soby . Jen pro FIFO pro ostan� 0',
	`onbatch_qty` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'Aktu�ln� stav mno�stv� �ar�e',
	`zero_flag` CHAR(1) NOT NULL DEFAULT 'N' COMMENT 'Nulov� stav karty A/N',
	`bar_code` CHAR(15) NULL DEFAULT NULL COMMENT '��rov� k�d �ar�e',
	`valid_flag` BIT NULL DEFAULT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`prod_code`, `ware_code`, `batch_id_num`),
	CONSTRAINT `FK_prodstatbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_prodstatbatch_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
)
COMMENT='prodstatusbatch '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
CREATE TABLE `borhead` (
	`id_norm` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'Polo�ka-RODI� (vrcholov� polo�ka NS)',
	`parent_item_code` CHAR(15) NOT NULL COMMENT 'Po�adov� ��slo normy',
	`type_ind` CHAR(2) NOT NULL COMMENT 'Typ normy spot�eby',
	`price_conv` DECIMAL(12,4) NOT NULL DEFAULT '0' COMMENT 'Mno�stv� m�rn� jednotky, pro kter� je norma spot�eby vytvo�ena',
	`cost_rollup_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'Kalkulovan� n�klady',
	`loss_qty` DECIMAL(12,4) NULL DEFAULT NULL COMMENT 'Normovan� ztr�ta',
	`loss_uom_code` CHAR(4) NULL DEFAULT NULL COMMENT 'MJ normovan� ztr�ty. Jsou povoleny pouze hodnoty % nebo MJ produktu.',
	`loss_ind` CHAR(1) NULL DEFAULT NULL COMMENT 'Indik�tor ztr�ty.\\nHodnoty:\\n 0=ztr�ty nejsou zahrnuty v NS\\n 1=ztr�ty jsou zahrnuty v NS',
	`start_date` DATE NULL DEFAULT NULL COMMENT 'Za��tek platnosti',
	`end_date` DATE NULL DEFAULT NULL COMMENT 'Konec platnosti',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisu',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'U�ivatel, kter� provedl z�pis',
	`valid_flag` BIT NULL DEFAULT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`id_norm`),
	CONSTRAINT `FK_borhead_product` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_borhead_uom` FOREIGN KEY (`loss_uom_code`) REFERENCES `uom` (`uom_code`) ON UPDATE NO ACTION ON DELETE NO ACTION
)
COMMENT='Hlavi�ka normy spot�eby '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
CREATE TABLE `bordetl` (
	`id_norm_detl` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'ID ��dky NS',
	`id_norm` INT(11) NOT NULL COMMENT 'ID hlavi�ky NS',
	`parent_item_code` CHAR(15) NOT NULL COMMENT 'Vrcholov� polo�ka normy (RODI�)',
	`child_item_code` CHAR(15) NOT NULL COMMENT 'K�d polo�ky normy (D�T�)\\nPro druh ��dky I-instrukce je ve sloupci uveden implicitn� k�d "INSTRUKCE"',
	`type_ind` CHAR(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spot�eby',
	`sort_num` INT(11) NOT NULL DEFAULT '10' COMMENT 'T��d�c� ��slo ��dky normy v r�mci RODI�E',
	`required_qty` DOUBLE NOT NULL DEFAULT '1' COMMENT 'Mno�stv� polo�ky-d�t� po�adovan� pro polo�ku-rodi�',
	`resource_code` CHAR(1) NOT NULL DEFAULT 'C' COMMENT 'Typ vztahu RODI�-D�T�\\nHodnoty\\n C=komponenta\\n F=fantom\\n G=generick� polo�ka\\n I=instrukce\\n P=Podskupina\\n S=n�klady',
	`cost_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'N�klady na polo�ku normy',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisy  ',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d u�ivatele',
	`work_place_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d pracovi�t�',
	`ware_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Implicitn� sklad v�deje   ',
	`back_flush` CHAR(1) NULL DEFAULT NULL COMMENT 'Zp�tn� v�dej\\nHodnoty\\n A = Prov�d� se automatick� v�dej ze skladu\\n N = V�dej se automatick� neprov�d�',
	`start_date` DATE NULL DEFAULT NULL COMMENT 'Za��tek platnosti vazby RODI�-D�T�',
	`end_date` DATE NULL DEFAULT NULL COMMENT 'Konec platnosti vazby RODI�-D�T�',
	`valid_flag` INT(11) NOT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`id_norm_detl`),
	CONSTRAINT `FK_bordetl_borhead` FOREIGN KEY (`id_norm`) REFERENCES `borhead` (`id_norm`) ON DELETE CASCADE,
	CONSTRAINT `FK_bordetl_product` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_bordetl_product_2` FOREIGN KEY (`child_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_bordetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
)
COMMENT='��dky normy spot�eby'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
ALTER TABLE `custaudit`
	COMMENT='Pohyby odb�ratele'
;
CREATE TABLE `ingredhead` (
	`id_ingred` INT(11) NOT NULL AUTO_INCREMENT COMMENT '��slo v�po�tu slo�en� v�robku',
	`nsvalid_date` DATE NOT NULL COMMENT 'Datum platnosti NS, pro kter� se provedl',
	`type_ind` CHAR(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spot�eby',
	`primary_item_code` CHAR(15) NOT NULL COMMENT 'K�d karty v�robku ',
	`tot_iss_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Hmotnost v gramech dle NS (MJ v�r.)\\nNEUPE�EN� V�ROBEK. \\n Celkov� pot�ebn� mno�stv� suroviny v gramech na jeden v�robeknebo\\n Celkov� pot�ebn� mno�stv� suroviny v Kg na 1000 MJ v�robk�',
	`tot_iss100_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Hmotnost v gramech dle NS (100 g v�r.) \\n NEUPE�EN� V�ROBEK (100 g) \\n Celkov� po�adovan� mno�stv� surovin v greamech na 100 g v�robku',
	`vypek_g` DOUBLE NOT NULL DEFAULT '0' COMMENT 'V�pek v gramech',
	`vypek_per` DOUBLE NOT NULL DEFAULT '0' COMMENT 'V�pek %',
	`vypek_tot` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Celkem v�pek',
	`reduct_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po zpracov�n�',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisu',
	`entry_time` CHAR(5) NULL DEFAULT NULL COMMENT '�as z�pisu',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'U�ivatel',
	`ingred_text` VARCHAR(3000) NULL DEFAULT NULL COMMENT 'Text Slo�en� ',
	`allergen_text` VARCHAR(1000) NULL DEFAULT NULL COMMENT 'Text Alergeny',
	`valid_record` BIT NULL DEFAULT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`id_ingred`),
	CONSTRAINT `FK_ingredhead_prodstatbatch` FOREIGN KEY (`primary_item_code`) REFERENCES `prodstatbatch` (`prod_code`)
)
COMMENT='Hlavi�ka slo�en� v�robku '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
drop  TABLE `filter_data`;
CREATE TABLE `filter_data` (
	`user` CHAR(20) NULL DEFAULT NULL COMMENT 'U�ivatel',
	`form_id` CHAR(20) NULL DEFAULT NULL COMMENT 'ID formul��e v XML souboru',
	`tabname` VARCHAR(30) NULL DEFAULT NULL COMMENT 'N�zev DB tabulky',
	`colname` VARCHAR(30) NULL DEFAULT NULL COMMENT 'N�zev sloupce DB tabulky',
	`value` VARCHAR(500) NULL DEFAULT NULL COMMENT 'Zadan� v�b�rov� kriterium u�ivatele',
	`dbtype` CHAR(20) NULL DEFAULT NULL COMMENT 'Datab�zov� typ',
	`exact` BIT(1) NULL DEFAULT NULL COMMENT 'Povinost exaktn� hodnoty',
	`required` BIT(1) NULL DEFAULT NULL COMMENT 'Mus� b�t zadan� v�b�rov� podm�nka',
	`negation` BIT(1) NULL DEFAULT NULL COMMENT 'Negace zadan� podm�nky',
	`caseSensitive` BIT(1) NULL DEFAULT NULL COMMENT 'Rozli�ovat velikost p�smen u �et�zc�',
	CONSTRAINT `FK_filter_data_user` FOREIGN KEY (`user`) REFERENCES `user` (`user_code`)
)
COMMENT='T�bulka se zadan�mi v�b�rov�mi podm�nkami u�ivatele pro jednotliv� fol��e.'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
CREATE TABLE `ingreddetl` (
	`id_ingred_detl` INT(11) NOT NULL AUTO_INCREMENT COMMENT '��slo ��dky v�po�tu',
	`id_ingred` INT(11) NOT NULL COMMENT '��slo v�po�tu slo�en� v�robku',
	`parent_num` INT(11) NULL DEFAULT NULL COMMENT 'Prim�rn� sekven�n� ��slo ',
	`nsvalid_date` DATE NOT NULL COMMENT 'Datum platnosti v�po�tu ',
	`parent_id_norm` INT(11) NOT NULL COMMENT '��slo nad�azen� NS ',
	`id_norm` INT(11) NOT NULL COMMENT '��slo NS polotovaru ',
	`id_norm_detl` INT(11) NOT NULL COMMENT '��slo ��dky NS ',
	`type_ind` CHAR(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spot�eby ',
	`primary_item_code` CHAR(15) NOT NULL COMMENT 'K�d produktu, pro kter� bylo vypo�teno slo�en� surovin. ',
	`parent_item_code` CHAR(15) NOT NULL COMMENT 'K�d v�robku/polotovaru ',
	`child_item_code` CHAR(15) NOT NULL COMMENT 'K�d polo�ky NS ',
	`subst_prod_code` CHAR(15) NULL DEFAULT NULL COMMENT 'K�d z�m�nn� polo�ky ',
	`required_qty` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� v�robku v MJ na 1000 MJ prim�rn�ho v�robku. ',
	`required_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� v�robku v KG na 1000 MJ prim�rn�ho v�robku. ',
	`required100_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� v�robku v MJ na 100 Kg prim�rn�ho v�robku. ',
	`iss_qty` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� suroviny na 1000 MJ prim�rn�ho v�robku. ',
	`iss_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� suroviny v KG 1000 MJ prim�rn�ho v�robku. ',
	`iss100_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� suroviny na 100 KG prim�rn�ho v�robku. ',
	`sub_iss_qty` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� z�m�nn�ho produktu v MJ na 1000 MJ prim�rn�ho v�robku. ',
	`sub_iss_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� z�m�nn�ho produktu v KG na 1000 MJ prim�rn�ho v�robku. ',
	`sub_iss100_weight` DOUBLE NOT NULL DEFAULT '0' COMMENT 'Po�adovan� mno�stv� z�m�nn�ho produktu v KG na 100 KG prim�rn�ho v�robku. ',
	`parent_res_code` CHAR(1) NOT NULL COMMENT 'Druh ��dky nad�azen� NS\\nHodnoty\\n0 = Vygenerovan� z�znam pro prim�rn� produkt\\nC = Komponenta\\nD = Podskupina\\nF = Fantom\\nG = Z�stupn� polo�ka ',
	`resource_code` CHAR(1) NOT NULL COMMENT 'Druh b�n� ��dky NS \\nHodnoty\\nC = Komponenta\\nF = Fantom\\nG = Z�stupn� polo�ka\\nP = Podkupina\\n ',
	`allergen_ind` CHAR(1) NOT NULL COMMENT 'M�ra existence alergen� ve slo�ce \\nHodnoty\\n0 = Neobsahuje1 = Obsahuje2 = Obsahuje mo�n� ',
	`ingred_ind` CHAR(1) NOT NULL COMMENT 'Typ z�znamu \\nHodnoty\\nL = Slo�ky prim�rn� suroviny\\nP = Prim�rn� surovina\\nS = Surovina\\nV = V�robek\\nX = Ostatn�\\nY = Ignorovan� suroviny ',
	`level_num` SMALLINT(6) NOT NULL DEFAULT '1' COMMENT '��slo �rovn� NS ',
	`group_num` INT(11) NULL DEFAULT NULL COMMENT '��slo skupiny pro z�stupnou polo�ku ',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisu ',
	`entry_time` CHAR(5) NULL DEFAULT NULL COMMENT '�as z�pisu ',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d u�ivatele ',
	`group_prim_ingred` INT(11) NULL DEFAULT NULL COMMENT 'Seskupen�, do kter� pat�� slo�ka prim�rn� siroviny. Udaj je ur�en k seskupen� udaj� pro tisku slo�en� v�robku. Nesouvis� se skupinama slo�ek.',
	`valid_flag` BIT(1) NULL DEFAULT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`id_ingred_detl`),
	CONSTRAINT `FK_ingreddetl_ingredhead` FOREIGN KEY (`id_ingred`) REFERENCES `ingredhead` (`id_ingred`) ON DELETE CASCADE,
	CONSTRAINT `FK_ingreddetl_ingreddetl` FOREIGN KEY (`parent_num`) REFERENCES `ingreddetl` (`id_ingred_detl`),
	CONSTRAINT `FK_ingreddetl_borhead` FOREIGN KEY (`parent_id_norm`) REFERENCES `borhead` (`id_norm`),
	CONSTRAINT `FK_ingreddetl_bordetl_2` FOREIGN KEY (`id_norm`) REFERENCES `bordetl` (`id_norm`),
	CONSTRAINT `FK_ingreddetl_bordetl` FOREIGN KEY (`id_norm_detl`) REFERENCES `bordetl` (`id_norm_detl`),
	CONSTRAINT `FK_ingreddetl_product` FOREIGN KEY (`primary_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_ingreddetl_product_2` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_ingreddetl_product_3` FOREIGN KEY (`child_item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_ingreddetl_product_4` FOREIGN KEY (`subst_prod_code`) REFERENCES `product` (`prod_code`)
)
COMMENT='Slo�en� v�robku ��dky'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
ALTER TABLE `shipcategory`
	ADD PRIMARY KEY (`cat_code`)
;
ALTER TABLE `shipcategory`
	CHANGE COLUMN `valid_flag` `valid_flag` BIT(1) NOT NULL COMMENT 'TRUE - Platn� z�znam FALSE - Zru�en� z�znam' AFTER `desc_text`
;
ALTER TABLE `custship`
	COLLATE='utf8mb4_general_ci'
;
ALTER TABLE `custship`
	DROP FOREIGN KEY `FK_custship_category`
;
ALTER TABLE `custship`
	DROP INDEX `FK_custship_category`
;
ALTER TABLE `custship`
	ADD CONSTRAINT `FK_custship_shipcategory` FOREIGN KEY (`cat_code`) REFERENCES `shipcategory` (`cat_code`)
;
CREATE TABLE `nutritionbill` (
	`nutri_id` CHAR(4) NOT NULL COMMENT 'K�d nutri�n�ho �daje',
	`desc_text` VARCHAR(80) NULL DEFAULT NULL COMMENT 'N�zev nutri�n�ho �daje',
	`uom_code` CHAR(4) NULL DEFAULT NULL COMMENT 'MJ nutri�n�ho �daje',
	`valid_flag` BIT NOT NULL COMMENT 'Platn� z�znam',
	PRIMARY KEY (`nutri_id`),
	INDEX `FK_nutritionbill_uom` (`uom_code`),
	CONSTRAINT `FK_nutritionbill_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`)
)
COMMENT='Polo�ky nutri�n�ch �daj� '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
ALTER TABLE `vendor`
	DROP COLUMN `next_seq_num`
	;
ALTER TABLE `prodstatbatch`
	COMMENT='�ar�e produktu'
;
CREATE TABLE `quality` (
	`id_num` INT(11) NOT NULL DEFAULT '0' COMMENT 'Unik�tn� ��slo z�znamu',
	`test_date` DATE NOT NULL COMMENT 'Datum m��en�',
	`test_code` CHAR(2) NOT NULL COMMENT 'K�d testu \\nHodnoty\\nO1-=-Obil� - po prvn�m nakropen�\\nO2-=-Obil� - po druh�m nakropen�\\nJB-=-Jedl� balen�\\nJP-=-Jedl� pytlovan�\\nJV-=-Jedl� voln�\\nKV-=-Krmn� voln�\\nOS-=-Obil� - v�stup ze sila\\nPM-=-Obil� - produkty mlet�\\nST-=-Obil� - STOP zkou�ka\\n',
	`id_silolist` INT(11) NOT NULL COMMENT 'ID p���azen� sila k produktu',
	`silo_code` CHAR(2) NOT NULL COMMENT 'K�d z�sobn�ku',
	`prod_code` CHAR(15) NOT NULL COMMENT 'K�d obil�',
	`item_code` CHAR(15) NULL DEFAULT NULL COMMENT 'K�d produktu mlet� z obil�. Pro O1,O2 a OS nevypln�no (NULL)',
	`vlhkost` DECIMAL(3,1) NULL DEFAULT NULL COMMENT 'Procento vlhkosti',
	`popel` DECIMAL(5,2) NULL DEFAULT NULL COMMENT 'Procento popele',
	`lepek` DECIMAL(3,1) NULL DEFAULT NULL COMMENT 'Procento lepku',
	`granulace_1` DECIMAL(4,1) NULL DEFAULT NULL COMMENT '��slo granulace 1',
	`granulace_2` DECIMAL(3,1) NULL DEFAULT NULL COMMENT '��slo granulace 2',
	`pokles` SMALLINT(6) NULL DEFAULT NULL COMMENT '��slo poklesu v sekund�ch',
	`skrob` DECIMAL(5,1) NULL DEFAULT NULL COMMENT '�krob g/Kg',
	`vlaknina` DECIMAL(5,1) NULL DEFAULT NULL COMMENT 'Vl�knina g/Kg',
	`ockovitost` DECIMAL(2,0) NULL DEFAULT NULL COMMENT 'O�kovitost',
	`n_latky` DECIMAL(5,1) NULL DEFAULT NULL COMMENT 'N l�tky g/Kg',
	`pach` CHAR(1) NULL DEFAULT NULL COMMENT 'Prach',
	`skudci` CHAR(1) NULL DEFAULT NULL COMMENT '�kudci',
	`stop_num` INT(11) NULL DEFAULT NULL COMMENT '��slo stop zkou�ky',
	`gluten_index` DECIMAL(5,1) NULL DEFAULT NULL COMMENT 'Procento gluten indexu',
	`maltoza` DECIMAL(5,1) NULL DEFAULT NULL COMMENT 'Procento malt�zy',
	`tuk` DECIMAL(4,1) NULL DEFAULT NULL COMMENT 'Tuk g/Kg',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisu',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d autora z�pisu',
	`valid_flag` BIT(1) NOT NULL COMMENT 'Platnost z�znamu',
	PRIMARY KEY (`id_num`),
	INDEX `FK_quality_product` (`prod_code`),
	INDEX `FK_quality_product_2` (`item_code`),
	CONSTRAINT `FK_quality_product_2` FOREIGN KEY (`item_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_quality_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_quality_silo` FOREIGN KEY (`silo_code`) REFERENCES `silo` (`silo_code`),
	CONSTRAINT `FK_quality_silolist` FOREIGN KEY (`id_silolist`) REFERENCES `silolist` (`id_num`)
)
COMMENT='Jakost obil� nebo MOUK'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
ALTER TABLE `orderhead`
	COMMENT='Hlavi�ka objedn�vky',
	CHANGE COLUMN `ord_id` `ord_id` INT(11) NOT NULL DEFAULT '0' COMMENT 'ID z�znamu' FIRST
	;
CREATE TABLE `orderhead` (
	`ord_id` INT(11) NOT NULL DEFAULT '0' COMMENT 'ID z�znamu (��slo objedn�vky)',
	`cust_code` VARCHAR(8) NOT NULL COMMENT 'K�d odb�ratele',
	`ship_code` VARCHAR(8) NOT NULL COMMENT 'K�d odb�rn�ho m�sta',
	`order_date` DATE NOT NULL COMMENT 'Po�adovan� datum dod�n�',
	`ord_text` VARCHAR(20) NULL DEFAULT NULL COMMENT '��slo objedn�vky odb�ratele ',
	`ware_code` VARCHAR(8) NULL DEFAULT NULL COMMENT 'K�d skladu v�deje zbo��',
	`term_code` VARCHAR(3) NOT NULL COMMENT 'K�d splatnosti',
	`tax_code` VARCHAR(3) NOT NULL COMMENT 'Implicitn� k�d DPH ',
	`tax_amt` DECIMAL(16,2) NOT NULL COMMENT 'Celkov� ��stka DPH',
	`currency_code` VARCHAR(3) NOT NULL DEFAULT 'CZK' COMMENT 'M�na',
	`goods_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celkov� cena zbo�� bez DPH',
	`total_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celkov� ��stka objedn�vky',
	`cost_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celkov� n�klady',
	`hand_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT '��stka za po�tovn�',
	`hand_tax_code` VARCHAR(3) NULL DEFAULT NULL COMMENT 'K�d dan� pro po�tovn�',
	`hand_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT '��stka DPH za po�tovn�',
	`freight_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT '��stka za dopravu',
	`freight_tax_code` VARCHAR(3) NULL DEFAULT NULL COMMENT 'K�d dan� pro dopravu',
	`freight_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT '��stka DPH za dopravu',
	`pack_amt` DECIMAL(16,2) NOT NULL DEFAULT '0.00' COMMENT '��stka za baln�',
	`pack_tax_code` VARCHAR(3) NULL DEFAULT NULL COMMENT 'DPH na baln�',
	`pack_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT '��stka BPH za baln�',
	`status_ind` VARCHAR(1) NULL DEFAULT NULL COMMENT 'Stav objedn�vky ',
	`line_num` SMALLINT(6) NULL DEFAULT NULL COMMENT 'Po�et ��dek objedn�vky',
	`com1_text` VARCHAR(30) NULL DEFAULT NULL COMMENT 'Koment�� 1',
	`com2_text` VARCHAR(30) NULL DEFAULT NULL COMMENT 'Koment�� 2',
	`ship_name_text` VARCHAR(80) NULL DEFAULT NULL COMMENT 'Jm�no odb�rn�ho m�sta',
	`ship_addr1_text` VARCHAR(80) NULL DEFAULT NULL COMMENT '1.��dka adresy OM',
	`ship_addr2_text` VARCHAR(80) NULL DEFAULT NULL COMMENT '2.��dka adresy OM',
	`ship_city_text` VARCHAR(80) NULL DEFAULT NULL COMMENT '3.��dka adresy OM',
	`state_code` VARCHAR(6) NULL DEFAULT NULL COMMENT 'Region OM',
	`post_code` VARCHAR(10) NULL DEFAULT NULL COMMENT 'PS� na dodac� adrese',
	`country_text` VARCHAR(30) NULL DEFAULT NULL COMMENT 'St�t z dodac� adresy',
	`ship1_text` VARCHAR(60) NULL DEFAULT NULL COMMENT 'K�d pozn�mky do z�pat� faktury ',
	`ship2_text` VARCHAR(60) NULL DEFAULT NULL COMMENT 'Zp�sob zach�zen� s pozn�mkou ',
	`ship_date` DATE NOT NULL COMMENT 'Datum skute�n�ho dod�n� (Datum DPH)',
	`fob_text` VARCHAR(20) NULL DEFAULT NULL COMMENT 'Dodac� podm�nky',
	`prepaid_flag` VARCHAR(1) NOT NULL COMMENT 'Forma �hrady ',
	`conv_qty` DOUBLE NOT NULL DEFAULT '1' COMMENT 'Sm�nn� kurs',
	`contact_text` VARCHAR(30) NULL DEFAULT NULL COMMENT 'Jm�no nebo kontakt na Dodac� Adrese',
	`tele_text` VARCHAR(20) NULL DEFAULT NULL COMMENT 'Telefonn� ��slo kontaktu na dodac� adres',
	`ord_ind` VARCHAR(1) NULL DEFAULT NULL COMMENT 'P�vod objedn�vky ',
	`ship_type` VARCHAR(1) NULL DEFAULT NULL COMMENT 'Zp�sob dopravy (0,1,2,3,9,N) ',
	`order_time` DECIMAL(2,0) NULL DEFAULT NULL COMMENT '�as dod�n� (a� na m�sto)',
	`ship_time` DECIMAL(2,0) NULL DEFAULT NULL COMMENT 'Po�adovan� �as dod�n� v rozmez� 0 a� 24 ',
	`tot_netto` DECIMAL(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Celkov� �ist� hmotnost',
	`tot_brutto` DECIMAL(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Celkov� hrub� hmotnost',
	`print_flag` VARCHAR(1) NULL DEFAULT NULL COMMENT 'P��znak vyti�t�n� DL ',
	`ship_ind` VARCHAR(1) NULL DEFAULT NULL COMMENT 'P��znak stavu DL ',
	`last_inv_num` INT(11) NULL DEFAULT NULL COMMENT '��slo posledn� faktury ',
	`entry_code` VARCHAR(8) NULL DEFAULT NULL COMMENT 'K�d u�ivatele, kter� zapsal objedn�vku',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum, kdy byla objedn�vka zaps�na',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`ord_id`),
	INDEX `FK_orderhead_customer` (`cust_code`),
	INDEX `FK_orderhead_custship` (`ship_code`),
	INDEX `FK_orderhead_tax` (`tax_code`),
	INDEX `FK_orderhead_tax_2` (`hand_tax_code`),
	CONSTRAINT `FK_orderhead_tax_2` FOREIGN KEY (`hand_tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_orderhead_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
	CONSTRAINT `FK_orderhead_custship` FOREIGN KEY (`ship_code`) REFERENCES `custship` (`ship_code`),
	CONSTRAINT `FK_orderhead_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_orderhead_tax_3` FOREIGN KEY (`freight_tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_orderhead_tax_4` FOREIGN KEY (`pack_tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_orderhead_shipstate` FOREIGN KEY (`state_code`) REFERENCES `shipstate` (`state_code`),
	CONSTRAINT `FK_orderhead_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
	CONSTRAINT `FK_orderhead_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
)
COMMENT='Hlavi�ka objedn�vky'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
CREATE TABLE `orderdetl` (
	`ord_id_detl` INT(11) NOT NULL AUTO_INCREMENT,
	`ord_id` INT(11) NOT NULL,
	`line_num` SMALLINT(6) NULL DEFAULT '0' COMMENT '��slo ��dky objedn�vky',
	`prod_code` CHAR(15) NOT NULL COMMENT 'K�d produktu z ��dky objedn�vky',
	`ware_code` CHAR(3) NOT NULL COMMENT 'K�d skladu zbo��-p�eb�j� skl. v hlavi�ce',
	`desc_text` VARCHAR(80) NULL DEFAULT NULL COMMENT 'Popis ��dky ',
	`cat_code` VARCHAR(3) NULL DEFAULT NULL COMMENT 'K�d kategorie produktu',
	`tax_code` CHAR(3) NULL DEFAULT NULL COMMENT 'K�d DPH',
	`acct_code` VARCHAR(18) NULL DEFAULT NULL COMMENT '��et tr�eb',
	`uom_code` VARCHAR(4) NOT NULL COMMENT 'M�rn� jednotka',
	`order_qty` DECIMAL(8,2) NOT NULL COMMENT 'Objednan� mno�stv�',
	`sched_qty` DECIMAL(8,2) NOT NULL COMMENT 'Rezervovan� mno�stv�',
	`inv_qty` DECIMAL(8,2) NOT NULL COMMENT 'Fakturovan� mno�stv�',
	`back_qty` DECIMAL(8,2) NOT NULL COMMENT 'Nekryt� mno�stv� ��dky objedn�vky',
	`picked_qty` DECIMAL(8,2) NOT NULL COMMENT 'Mno�stv�, kter� je ur�eno k v�deji',
	`conf_qty` DECIMAL(8,2) NOT NULL COMMENT 'Mno�stv� potvrzen� jako dodan�',
	`unit_price_amt` DECIMAL(16,4) NOT NULL COMMENT 'JC produktu za mno�stevn� koeficient ',
	`ext_price_amt` DECIMAL(16,2) NOT NULL COMMENT 'Celkov� prodejn� cena v m�n�',
	`unit_tax_amt` DECIMAL(16,4) NOT NULL COMMENT 'Jednotkov� da�',
	`ext_tax_amt` DECIMAL(16,4) NOT NULL COMMENT 'Celkov� da� (nezaokrouhlen�)',
	`line_tot_amt` DECIMAL(16,2) NOT NULL COMMENT '��dka celkem v�etn� dan�',
	`unit_cost_amt` DECIMAL(16,4) NOT NULL COMMENT 'Jednotkov� n�kladov� cena v m�n� ',
	`ext_cost_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Celkov� n�kladov� cena (skladov� cena)',
	`package_qty` SMALLINT(6) NULL DEFAULT NULL COMMENT 'Po�et obal�/palet ',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`ord_id_detl`),
	INDEX `FK_orderdetl_product` (`prod_code`),
	INDEX `FK_orderdetl_warehouse` (`ware_code`),
	INDEX `FK_orderdetl_category` (`cat_code`),
	INDEX `FK_orderdetl_coa` (`acct_code`),
	INDEX `FK_orderdetl_tax` (`tax_code`),
	INDEX `FK_orderdetl_uom` (`uom_code`),
	INDEX `FK_orderdetl_orderhead` (`ord_id`),
	CONSTRAINT `FK_orderdetl_orderhead` FOREIGN KEY (`ord_id`) REFERENCES `orderhead` (`ord_id`) ON DELETE CASCADE,
	CONSTRAINT `FK_orderdetl_category` FOREIGN KEY (`cat_code`) REFERENCES `category` (`cat_code`),
	CONSTRAINT `FK_orderdetl_coa` FOREIGN KEY (`acct_code`) REFERENCES `coa` (`acct_code`),
	CONSTRAINT `FK_orderdetl_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_orderdetl_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_orderdetl_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`),
	CONSTRAINT `FK_orderdetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
)
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB;
;
drop TABLE `invdetl;
drop TABLE `invhead;
CREATE TABLE `invhead` (
	`inv_id` INT(11) NOT NULL DEFAULT '0' COMMENT '��slo faktury',
	`cust_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d odb�ratele',
	`ship_code` CHAR(8) NULL DEFAULT NULL COMMENT 'k�d dodac� adresy (p��jemce) ',
	`ord_num` INT(11) NULL DEFAULT NULL COMMENT 'Intern� ��slo fakturovan� objedn�vky',
	`purchase_code` CHAR(20) NULL DEFAULT NULL COMMENT '��slo objedn�vky odb�ratele',
	`inv_date` DATE NULL DEFAULT NULL COMMENT 'Datum vystaven� faktury',
	`sale_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d prodejce',
	`kind_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Druh dokladu',
	`typ_pohl` CHAR(8) NULL DEFAULT NULL COMMENT 'Typ pohled�vky',
	`currency_code` CHAR(3) NULL DEFAULT NULL COMMENT 'M�na',
	`conv_qty` DOUBLE NULL DEFAULT NULL COMMENT 'Sm�nn� kurz ',
	`term_num` INT(11) NULL DEFAULT NULL COMMENT 'Implicitn� po�et dn� splatnosti     ',
	`tax_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Implicitn� k�d DPH ',
	`tax_per` DECIMAL(5,3) NULL DEFAULT NULL COMMENT 'Procento dan�',
	`goods_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Celkov� ��stka faktury bez DPH v m�n�',
	`hand_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Po�tovn� - ��stka v m�n�',
	`hand_tax_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Po�tovn� - K�d dan�',
	`hand_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Po�tovn� - ��stka dan� v m�n�',
	`freight_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Doprava - ��stka v m�n�',
	`freight_tax_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Doprava - K�d dan�',
	`freight_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Doprava - ��stka dan� v m�n�',
	`tax_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Celkov� ��stka za dan� v m�n�',
	`total_amt` DECIMAL(16,2) NOT NULL COMMENT 'Celkov� fakturovan� ��stka v m�n�',
	`cost_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Celkov� ��stka n�klad� v m�n�',
	`paid_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Zaplacen� ��stka v m�n�',
	`paid_date` DATE NULL DEFAULT NULL COMMENT 'Datum �pln�ho zaplacen� faktury',
	`due_date` DATE NULL DEFAULT NULL COMMENT 'Datum splatnosti',
	`year_num` SMALLINT(6) NULL DEFAULT NULL COMMENT '��etn� rok',
	`period_num` SMALLINT(6) NULL DEFAULT NULL COMMENT '��etn� obdob�',
	`ship_year_num` SMALLINT(6) NULL DEFAULT NULL COMMENT 'Da�ov� rok',
	`ship_period_num` SMALLINT(6) NULL DEFAULT NULL COMMENT 'Da�ov� obdob�',
	`line_num` SMALLINT(6) NULL DEFAULT NULL COMMENT 'Po�et ��dek FA',
	`printed_num` SMALLINT(6) NULL DEFAULT NULL COMMENT 'P��znak vyti�t�n� FA ',
	`name_text` CHAR(30) NULL DEFAULT NULL COMMENT 'Jm�no p��jemce',
	`addr1_text` CHAR(30) NULL DEFAULT NULL COMMENT '1. ��dka adresy',
	`addr2_text` CHAR(30) NULL DEFAULT NULL COMMENT '2. ��dka adresy',
	`city_text` CHAR(20) NULL DEFAULT NULL COMMENT '3. ��dka dodac� adresy',
	`state_code` CHAR(6) NULL DEFAULT NULL COMMENT 'Region',
	`post_code` CHAR(10) NULL DEFAULT NULL COMMENT 'PS�',
	`country_text` CHAR(20) NULL DEFAULT NULL COMMENT 'St�t',
	`ship_date` DATE NULL DEFAULT NULL COMMENT 'Datum zdaniteln�ho pln�n� (datum dod�vky)',
	`prepaid_flag` CHAR(1) NULL DEFAULT NULL COMMENT 'Forma �hrady (P-PLatebn� p��kaz, H-Hotov�, I-Ihned) ',
	`com1_text` CHAR(30) NULL DEFAULT NULL COMMENT 'Koment�� 1 k faktu�e ',
	`com2_text` CHAR(30) NULL DEFAULT NULL COMMENT 'Komenta� 2 k faktu�e',
	`acct_override_code` CHAR(18) NULL DEFAULT NULL COMMENT 'Maska ��t�',
	`price_tax_flag` CHAR(1) NULL DEFAULT NULL COMMENT 'Zad�vat cenu v�etn� DPH ? Y/N',
	`contact_text` CHAR(30) NULL DEFAULT NULL COMMENT 'Kontaktn� osoba v m�st� dod�n�',
	`tele_text` CHAR(20) NULL DEFAULT NULL COMMENT 'Telefonn� ��slo kontaktu v m�st� dod�n�',
	`ship_num` INT(11) NULL DEFAULT NULL COMMENT '��slo dodac�ho listu ',
	`zaok_dph` CHAR(1) NULL DEFAULT NULL COMMENT 'M� se prov�st zaokrouhlen� DPH ? Y/N',
	`tot_netto` DECIMAL(12,3) NULL DEFAULT NULL COMMENT 'Celkov� hmotnost NETTO',
	`tot_brutto` DECIMAL(12,3) NULL DEFAULT NULL COMMENT 'Celkov� hmotnost BRUTTO',
	`entry_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d u�ivatele, kter� zapsal fakturu',
	`entry_date` DATE NULL DEFAULT NULL COMMENT 'Datum z�pisu faktury',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`inv_id`),
	INDEX `FK_invhead_customer` (`cust_code`),
	INDEX `FK_invhead_tax` (`tax_code`),
	INDEX `FK_invhead_tax_2` (`hand_tax_code`),
	INDEX `FK_invhead_tax_3` (`freight_tax_code`),
	INDEX `FK_invhead_custship` (`ship_code`),
	INDEX `FK_invhead_shipstate` (`state_code`),
	INDEX `FK_invhead_currency` (`currency_code`),
	INDEX `FK_invhead_typpohl` (`typ_pohl`),
	INDEX `FK_invhead_arkind` (`kind_code`),
	CONSTRAINT `FK_invhead_arkind` FOREIGN KEY (`kind_code`) REFERENCES `arkind` (`kind_code`),
	CONSTRAINT `FK_invhead_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
	CONSTRAINT `FK_invhead_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
	CONSTRAINT `FK_invhead_custship` FOREIGN KEY (`ship_code`) REFERENCES `custship` (`ship_code`),
	CONSTRAINT `FK_invhead_shipstate` FOREIGN KEY (`state_code`) REFERENCES `shipstate` (`state_code`),
	CONSTRAINT `FK_invhead_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_invhead_tax_2` FOREIGN KEY (`hand_tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_invhead_tax_3` FOREIGN KEY (`freight_tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_invhead_typpohl` FOREIGN KEY (`typ_pohl`) REFERENCES `typpohl` (`typ_pohl`)
)
COMMENT='Pohled�vka-hlavi�ka '
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB
;
CREATE TABLE `invdetl` (
	`inv_id_detl` INT(11) NOT NULL AUTO_INCREMENT,
	`inv_id` INT(11) NULL DEFAULT NULL COMMENT '��slo faktury',
	`cust_code` CHAR(8) NULL DEFAULT NULL COMMENT 'K�d odb�ratele',
	`line_num` SMALLINT(6) NULL DEFAULT NULL COMMENT '��slo ��dky faktury',
	`prod_code` CHAR(15) NULL DEFAULT NULL COMMENT 'K�d produktu ',
	`ware_code` CHAR(3) NULL DEFAULT NULL COMMENT 'K�d skladu',
	`cat_code` CHAR(3) NULL DEFAULT NULL COMMENT 'Kategorie produktu',
	`ord_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Objednan� mno�stv� fakturovan� objedn�vky',
	`ship_qty` DECIMAL(10,2) NULL DEFAULT NULL COMMENT 'Dodan� mno�stv� fakturovan� objedn�vky',
	`line_text` CHAR(40) NULL DEFAULT NULL COMMENT 'Popis ��dky faktury',
	`uom_code` CHAR(4) NULL DEFAULT NULL COMMENT 'Prodejn� MJ',
	`unit_cost_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Jednotkov� n�kladov� cena v m�n�',
	`ext_cost_amt` DECIMAL(16,2) NULL DEFAULT NULL COMMENT 'Celkov� n�kladov� cena',
	`unit_sale_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Jednotkov� prodejn� cena bez DPH ',
	`ext_sale_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Celkov� prodejn� cena bez DPH ',
	`unit_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Jednotkov� da�',
	`ext_tax_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Celkov� da�',
	`line_total_amt` DECIMAL(16,4) NULL DEFAULT NULL COMMENT 'Celkov� cena ��dky v�etn� dan�',
	`line_acct_code` CHAR(18) NULL DEFAULT NULL COMMENT '��et kontace',
	`tax_code` CHAR(3) NULL DEFAULT NULL COMMENT 'K�d dan�',
	`analysis_text` CHAR(30) NULL DEFAULT NULL COMMENT 'Dopl�kov� informace',
	`valid_flag` BIT(1) NOT NULL,
	PRIMARY KEY (`inv_id_detl`),
	INDEX `FK_invdetl_customer` (`cust_code`),
	INDEX `FK_invdetl_invhead` (`inv_id`),
	INDEX `FK_invdetl_product` (`prod_code`),
	INDEX `FK_invdetl_warehouse` (`ware_code`),
	INDEX `FK_invdetl_category` (`cat_code`),
	INDEX `FK_invdetl_uom` (`uom_code`),
	INDEX `FK_invdetl_coa` (`line_acct_code`),
	INDEX `FK_invdetl_tax` (`tax_code`),
	CONSTRAINT `FK_invdetl_category` FOREIGN KEY (`cat_code`) REFERENCES `category` (`cat_code`),
	CONSTRAINT `FK_invdetl_coa` FOREIGN KEY (`line_acct_code`) REFERENCES `coa` (`acct_code`),
	CONSTRAINT `FK_invdetl_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
	CONSTRAINT `FK_invdetl_invhead` FOREIGN KEY (`inv_id`) REFERENCES `invhead` (`inv_id`),
	CONSTRAINT `FK_invdetl_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
	CONSTRAINT `FK_invdetl_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
	CONSTRAINT `FK_invdetl_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`),
	CONSTRAINT `FK_invdetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
)
COMMENT='��dky pohled�vky'
COLLATE='utf8mb4_general_ci'
ENGINE=InnoDB;
;
ALTER TABLE `apkind`
	COMMENT='Druhy doklad�-z�vazky'
	;
ALTER TABLE `class`
	COMMENT='Skladov� t��da'
	;
ALTER TABLE `product`
	COMMENT='Produkt (V�robek, zbo��, materi�l atd.)';
ALTER TABLE `stockdetl`
	COMMENT='��dka skladov�ho dokladu';
ALTER TABLE `typzav`
	COMMENT='Typ z�vazku';
ALTER TABLE `vendor`
	COMMENT='Dodavatel';
ALTER TABLE `vendortype`
	COMMENT='Typ dodavatele';
ALTER TABLE `orderhead`
	CHANGE COLUMN `tax_amt` `tax_amt` DECIMAL(16,2) NOT NULL DEFAULT '0' COMMENT 'Celkov� ��stka DPH' AFTER `tax_code`;
ALTER TABLE `orderdetl`
	CHANGE COLUMN `order_qty` `order_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Objednan� mno�stv�' AFTER `uom_code`,
	CHANGE COLUMN `sched_qty` `sched_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Rezervovan� mno�stv�' AFTER `order_qty`,
	CHANGE COLUMN `inv_qty` `inv_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Fakturovan� mno�stv�' AFTER `sched_qty`,
	CHANGE COLUMN `picked_qty` `picked_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Mno�stv�, kter� je ur�eno k v�deji' AFTER `back_qty`,
	CHANGE COLUMN `conf_qty` `conf_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Mno�stv� potvrzen� jako dodan�' AFTER `picked_qty`,
	CHANGE COLUMN `unit_price_amt` `unit_price_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'JC produktu za mno�stevn� koeficient ' AFTER `conf_qty`,
	CHANGE COLUMN `ext_price_amt` `ext_price_amt` DECIMAL(16,2) NOT NULL DEFAULT '0' COMMENT 'Celkov� prodejn� cena v m�n�' AFTER `unit_price_amt`,
	CHANGE COLUMN `unit_tax_amt` `unit_tax_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'Jednotkov� da�' AFTER `ext_price_amt`,
	CHANGE COLUMN `ext_tax_amt` `ext_tax_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'Celkov� da� (nezaokrouhlen�)' AFTER `unit_tax_amt`,
	CHANGE COLUMN `line_tot_amt` `line_tot_amt` DECIMAL(16,2) NOT NULL DEFAULT '0' COMMENT '��dka celkem v�etn� dan�' AFTER `ext_tax_amt`,
	CHANGE COLUMN `unit_cost_amt` `unit_cost_amt` DECIMAL(16,4) NOT NULL DEFAULT '0' COMMENT 'Jednotkov� n�kladov� cena v m�n� ' AFTER `line_tot_amt`;
ALTER TABLE `orderdetl`
	CHANGE COLUMN `back_qty` `back_qty` DECIMAL(8,2) NOT NULL DEFAULT '0' COMMENT 'Nekryt� mno�stv� ��dky objedn�vky' AFTER `inv_qty`;
ALTER TABLE `orderhead`
	CHANGE COLUMN `ord_id` `ord_id` INT(11) NOT NULL AUTO_INCREMENT COMMENT 'ID z�znamu (��slo objedn�vky)' FIRST;