<?php
/**
 * @author Petr Ruttkay
 *
 */
require_once "./_class/formXmlRead.php";
require_once "./_func/editFactory.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prHtmlText.php";
require_once "./_class/prHtmlTextArea.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlCheck.php";
require_once "./_class/prHtmlRadio.php";
require_once "./_class/prHtmlCombo.php";
require_once "./_class/prColors.php";
require_once "./_class/formPostDataLib.php";

/**
 * Třída přípravuje GRID pro jeho zveřejnění  
 *
 */
class FormGridCreator
{

    private $pdo;

    private $updateSQL;

    private $formGrid;

    private $htmlTable;

    private $editMode = false;

    private $formID;

    private $fontSize = 14;

    private $area = FormStructure::HEAD;

    const ACTION_GOTO_EDITOR_INS_SAVE = "editor_insert_save";

    const ACTION_GOTO_EDITOR_UPD_SAVE = "editor_update_save";

    const ACTION_GOTO_STORNO = "form_storno";

    const ACTION_GOTO_INS_DOC = "document_insert";
    
    const ACTION_GOTO_READING = "reading_result";
    
    const ACTION_GOTO_QUERY_OK = "form_query_ok";
    
    const ACTION_NEW_CEVEMA = "new_cevema_model";
    

    public function __construct(modelPdo $pdo, $formID, FormGrid $formGrid, $filterFlag, $area)
    {

        
        $this->pdo = $pdo;
        $this->formID = $formID;
        $this->formGrid = $formGrid;
        $this->area = $area;

        if ($formGrid->getFontSize() != null)
            $this->fontSize = $formGrid->getFontSize();
        
            
        $table2 = new PrHtmlTable();
        if ($filterFlag) {
            $table2->setNoPrint();
        }
        
        $primaryKey = "NEW_REC";

        $fieldSet = new PrHtmlFieldset();
        $fieldSet->setPackedWidth();
        if ($formGrid->getFieldsetWidthPercent() != null) {
            $fieldSet->setWidthPercent($formGrid->getFieldsetWidthPercent());
        }        

        if (isset($_SESSION["primaryKey"]) && $_SESSION["primaryKey"] != null) {
            if ($this->area == FormStructure::DETL) { // jsem v řádce dokladu
                if ($_SESSION["insRow"] == "Y") {
                    // Zapisuji řádku novou nějakého dokladu
                    $_SESSION["save_primaryKey"] = $_SESSION["primaryKey"];
                    $_SESSION["primaryKey"] = null;
                } else {
                    if (isset($_SESSION["detl_ID"]) && $_SESSION["detl_ID"] != null) {
                        // Je nastaveno ID řádky a jsem v gridu řádky
                        $_SESSION["primaryKey"] = $_SESSION["detl_ID"];
                    } else if (getIDKey4FormGrid($area) != null){
                        $_SESSION["primaryKey"] = getIDKey4FormGrid($area);
                    }
                }
            } else {
                if (isset($_SESSION["head_ID"]) && $_SESSION["head_ID"] != null) {
                    $_SESSION["primaryKey"] = $_SESSION["head_ID"];
                } else if (getIDKey4FormGrid($area) != null){
                    $_SESSION["primaryKey"] = getIDKey4FormGrid($area);
                }
            }
        }

        if (isset($_SESSION["primaryKey"]) && $_SESSION["primaryKey"] != null) {

            $fieldsetTitle = null; // "Detail";
            if ($formGrid->getGroup() != null) {
                if ($this->isGridActive($formGrid, false)) {
                    $fieldsetTitle = $formGrid->getGroup();
                }
            }
            $fieldSet->setLegendColorBg(prColors::YELLOW_LIGHT_GOLD);
            
            if ($formGrid->getLegendColorBg() != null) {
                $fieldSet->setLegendColorBg($formGrid->getLegendColorBg());
            }
            if ($formGrid->getLegendColorText() != null) {
                $fieldSet->setLegendColorText($formGrid->getLegendColorText());
            }
            if ($formGrid->getFieldsetColorBg() != null) {
                $fieldSet->setFieldsetColorBg($formGrid->getFieldsetColorBg());
            }
            if ($formGrid->getFieldsetColorText() != null) {
                $fieldSet->setFieldsetColorText($formGrid->getFieldsetColorText());
            }

            $primaryKey = $_SESSION["primaryKey"];
            
            $sql = "select ";
            $join = "";
            $setCol = "";
            $idx = 0;
            $first_flag = true;
            $dbTable = null;
            
            foreach ($formGrid->getItems() as $formGridItem) {

                // Vytvoření SQL dle definice gridu
                if (is_a($formGridItem, "FormGridItem")) {
                    $idx ++;

                    if ($dbTable == null) {
                        $dbTable = $formGridItem->getDbTable();
                    } 
                    
                    $joinFlag = false;
                    if ($formGridItem->getDbTableJoin() != null &&
                        (strpos($formGridItem->getDbTableJoin(), "left outer join") > 0)) {
                            //Existuje vazba
                            $joinFlag = true;                                            
                    }
                    
                    if ($joinFlag) {                        
                        if (strpos($join, $formGridItem->getDbJoinOn()) == 0) {
                            $join .= " " . $formGridItem->getDbTableJoin() . " " . $formGridItem->getDbJoinOn(); //valid flag musí být v definici formXML
                        }
                    }
                    
                    if (strpos($formGridItem->getDbColumn(), " _as_") > 0) {
                        //Je zadaný alias názav tabulky se se před sloupcem neuvádí
                        if ($idx == 1){
                            $sql .= str_replace("_as_", "as",  $formGridItem->getDbColumn());
                        } else {
                            $sql .= ", " . str_replace("_as_", "as",  $formGridItem->getDbColumn());
                        }
                        
                    } else {
                        if ($idx == 1) {
                            $sql .= $formGridItem->getDbTable(). "." .$formGridItem->getDbColumn();
                        } else {
                            $sql .= ", " . $formGridItem->getDbTable(). "." . $formGridItem->getDbColumn();
                        }
                    }
                    
                    
                    //Doplnění DB slopce pro přednastavení hodnoty do sloupce položy ITEM 
                    $defaultValueDBC = getDefaultValueDBC( $formGridItem->getDefaultValue());
                    if ($joinFlag && $defaultValueDBC != null) {
                        $sql .= ", " . $defaultValueDBC;
                    }
                    //Doplnění DB slopce pro přednastavení hodnoty do LABEL
                    $labelSql = getDefaultValueDBC($formGridItem->getLabel());
                    if ($joinFlag && $labelSql != null) {
                        $sql .= ", " . $labelSql;
                    }
                    

                    if ($formGridItem->getMode() == "EDIT") {
                        if ($first_flag) {
                            $first_flag = false;
                            $setCol .= $formGridItem->getDbColumn() . "= :" . $formGridItem->getDbColumn();
                        } else {
                            $setCol .= "," . $formGridItem->getDbColumn() . "= :" . $formGridItem->getDbColumn();
                        }
                    }
                }
            }


            if ($idx == 0) { // Grid neobsahuje vazbu na DB
                $this->renderGridItems($formGrid, null, $table2, $primaryKey, $formGrid->getDb_primary_key(), $filterFlag);
            } elseif ($_SESSION["show_last_data"] == true) {
                $this->renderGridItems($formGrid, null, $table2, $primaryKey, $formGrid->getDb_primary_key(), $filterFlag);
            } else {
                if ($idx == 1) {
                    $orderByText = " order by 1 ";
                } else {
                    $orderByText = " order by 1, 2  ";
                }
                $validFlag = "1";
                if (isset($_SESSION["tempFlag"])) {
                    if ($_SESSION["tempFlag"]) {
                        // Pomocný záznam pří zápisu dokladu
                        $validFlag = "0";
                    } else {
                        $validFlag = "1";
                    }
                }

                $sql .= " from " . $dbTable . " " . $join. " where ".$dbTable.".valid_flag = " . $validFlag . " and $dbTable." . $formGrid->getDb_primary_key() . "= :" . $formGrid->getDb_primary_key() . $orderByText;
                $this->pdo->setNamedParam($formGrid->getDb_primary_key(), $primaryKey);

                $this->updateSQL = "update " . $dbTable . " set " . $setCol . " where " . $formGrid->getDb_primary_key() . "= :" . $formGrid->getDb_primary_key();

                foreach ($this->pdo->query($sql) as $data) {
                    $this->renderGridItems($formGrid, $data, $table2, $primaryKey, $formGrid->getDb_primary_key(), $filterFlag);
                }
            }
        } else {
            if ($filterFlag) {
                $fieldsetTitle = null; // "Výběr dat";
                $fieldSet->setLegendColorBg(prColors::GREEN_LIGHT);
            } else {
                $fieldsetTitle = null; // "Nový záznam";
                if ($formGrid->getGroup() != null) {
                    if ($formGrid->getGroup() != null) {
                        if ($this->isGridActive($formGrid, true)) {
                            $fieldsetTitle = $formGrid->getGroup();
                        }
                    }
                }
                $fieldSet->setLegendColorBg(prColors::LIGHT_PINK);
                
                if ($formGrid->getLegendColorBg() != null) {
                    $fieldSet->setLegendColorBg($formGrid->getLegendColorBg());                    
                }
                if ($formGrid->getLegendColorText() != null) {
                    $fieldSet->setLegendColorText($formGrid->getLegendColorText());
                }
                if ($formGrid->getFieldsetColorBg() != null) {
                    $fieldSet->setFieldsetColorBg($formGrid->getFieldsetColorBg());
                }
                if ($formGrid->getFieldsetColorText() != null) {
                    $fieldSet->setFieldsetColorText($formGrid->getFieldsetColorText());
                }
                
            }

            $this->editMode = false;
            

            $this->renderGridItems($formGrid, null, $table2, $primaryKey, $formGrid->getDb_primary_key(), $filterFlag);
        }

        if ($this->editMode) {
            $footerHtml = "";
            if ($formGrid->isShowButton()) {
                $footerHtml = generateFormButtons($filterFlag);
            }

            if ($fieldsetTitle == null) {
                $this->htmlTable = $table2->publish() . '<p>' . $footerHtml;
            } else {
                $this->htmlTable = $fieldSet->publishStart($fieldsetTitle) . $table2->publish() . '<p>' . $footerHtml . $fieldSet->publishEnd();
            }
        } else {
            if ($fieldsetTitle == null) {
                $this->htmlTable = $table2->publish();
            } else {
                $this->htmlTable = $fieldSet->publishStart($fieldsetTitle) . $table2->publish() . $fieldSet->publishEnd();
            }
        }

    }

    /**
     * Funkce vytváří položky GRIDu
     * 
     * @param FormGrid $formGrid - Definice gridu načtená z XML souboru s definicí formuláře
     * 
     * @param $data
     * @param PrHtmlTable $table2
     * @param string $primaryKey
     * @param string $dbPrimaryColName
     * @param boolean $filterFlag
     */
    
    private function renderGridItems(FormGrid $formGrid, $data, PrHtmlTable $table2, $primaryKey, $dbPrimaryColName, $filterFlag)
    {
       
        if (! $this->isGridActive($formGrid, $primaryKey == "NEW_REC")) {
            return;
        }
        if ($primaryKey != null && $primaryKey != "NEW_REC")
            $key_code = $primaryKey;
        else
            $key_code = null;


        $postData = null;
        
        if ($_SESSION["show_last_data"] == true) {
            // Údaje již byly zadáný, mají se zobrazit znovu
            $postData = new FormPostDataLib($primaryKey == "NEW_REC");
            $colValList = $postData->getColumnValueList();
            $colOldValList = $postData->getColumnOldValueList();
        }

        foreach ($formGrid->getItems() as $formGridItem) {
            $data4label = null;
            $data4default = null;
            $dataPlaceholder = null;
            $sql = null;
            
            if (is_a($formGridItem, "string")) {
                $table2->addRow();
                echo "<BR>$label = $table2->addRowCell($formGridItem);";
                $label = $table2->addRowCell($formGridItem);
                $label->setTextBold();
            } elseif (is_a($formGridItem, "FormGridItem")) {
                $labelItem = "";
                
                if ($formGridItem->getLabel() != null) {
                    if (strpos($formGridItem->getLabel(), "DBC.") > 0) {
                        // Data nebyla naplněná, protože se jedná o nový záznam.
                        // Avšak existuje lebel načítaný z DB
                        if ($formGridItem->getDbTableJoin() != null && 
                            (strpos($formGridItem->getDbTableJoin(), "left outer join") == 0)) {
                                
                            $placeHolder = getDefaultValueDBC($formGridItem->getLabel());
                            $join = "";
                            $join .= " " . $formGridItem->getDbTableJoin() . " " . $formGridItem->getDbJoinOn(); // valid flag musí být v definici formXML

                            $sql = " " . "select " . $placeHolder . $join;
                            foreach ($this->pdo->query($sql) as $data4label) {}
                        }
                    }
                }
                
                if ($formGridItem->getDefaultValue() != null) {
                    if (strpos($formGridItem->getDefaultValue(), "DBC.") > 0) {
                        // Data nebyla naplněná, protože se jedná o nový záznam.
                        // Avšak existuje implicitníí hodnota načítana z DB
                        if ($formGridItem->getDbTableJoin() != null &&
                            (strpos($formGridItem->getDbTableJoin(), "left outer join") == 0)) {
                                
                                $placeHolder = getDefaultValueDBC($formGridItem->getDefaultValue());
                                $join = "";
                                if (strpos($join, $formGridItem->getDbJoinOn()) == 0) {
                                    $join .= " " . $formGridItem->getDbTableJoin() . " " . $formGridItem->getDbJoinOn(); // valid flag musí být v definici formXML
                                }
                                foreach ($this->pdo->query("select " . $placeHolder . $join) as $data4default) {}
                            }
                    }
                }
                
                if ($formGridItem->getPlaceHolder() != null) {
                    if (strpos($formGridItem->getPlaceHolder(), "DBC.") > 0) {
                        // Data nebyla naplněná, protože se jedná o nový záznam.
                        // Avšak existuje implicitníí hodnota načítana z DB
                        if ($formGridItem->getDbTableJoin() != null &&
                            (strpos($formGridItem->getDbTableJoin(), "left outer join") == 0)) {
                                
                                $placeHolder = getDefaultValueDBC($formGridItem->getPlaceHolder());
                                $join = "";
                                if (strpos($join, $formGridItem->getDbJoinOn()) == 0) {
                                    $join .= " " . $formGridItem->getDbTableJoin() . " " . $formGridItem->getDbJoinOn(); // valid flag musí být v definici formXML
                                }
                                $dataPlaceholderList = $this->pdo->fetchRow("select " . $placeHolder . $join . " LIMIT 1");
                                $dataPlaceholder = implode(",", $dataPlaceholderList);
                            }
                    } else {
                        $dataPlaceholder = $formGridItem->getPlaceHolder();
                    }
                }
                
                
                if ($_SESSION["show_last_data"] == true and $postData != null) {
                    // Údaje již byly zadáný, mají se zobrazit znovu
                    if (isset($colValList[$formGridItem->getDbColumn()]))
                        $value = $colValList[$formGridItem->getDbColumn()];
                    else
                        $value = null;

                    if (isset($colOldValList[$formGridItem->getDbColumn()]))
                        $oldValue = $colOldValList[$formGridItem->getDbColumn()];
                    else
                        $oldValue = null;
                    
                    $labelItem = getDefaultValue($formGridItem->getLabel());
                    
                } elseif ($data == null && $data4label == null && $data4default == null) {
                    $value = getDefaultValue($formGridItem->getDefaultValue());
                    $oldValue = $value;
                    $labelItem = getDefaultValue($formGridItem->getLabel());
                } else {
                    $value = null;
                    if ($data != null) {
                        $value = $data[geColumnAlias($formGridItem->getDbColumn())];
                    }
                    
                    $dbc = getDefaultValueAliasDBC($formGridItem->getLabel());
                    if ($dbc != null){
                        if ($data4label == null){
                            $data4label == $data;
                        }
                        $labelItem = $data4label[$dbc];  //label z databáze
                    } else {
                        $labelItem = $formGridItem->getLabel();
                    }
                    
                    if ($value == null || $formGridItem->getReadonly() == "Y") { 
                        //Když je readonly tak se přepisuje vždy jedná se např. o výpočet.
                        $dbc = getDefaultValueAliasDBC($formGridItem->getDefaultValue());
                        if ($dbc != null){
                            if ($data4default == null){
                                $data4default == $data;
                            }                            
                            $value = $data4default[$dbc];
                        }
                    }
                    if ($formGridItem->getDbType() == FormStructure::TYPE_DATE) {
                        if ($value != null) {
                            $value = getFormDate($value);
                        }
                    }
                    if ($formGridItem->getDbType() == FormStructure::TYPE_DATETIME) {
                        if ($value != null) {
                            $value = getFormDateTime($value);
                        }
                    }
                    $oldValue = $value;

                    if ($formGridItem->getDbColumn() == $formGrid->getDb_primary_key()) {
                        if ($key_code == null)
                            $key_code = $value;
                    }
                }

                $row = $table2->addRow();
                
                if ($formGrid->isHidden()){
                    $row->setStyle("visibility:collapse");
                    //$row->setStyle("display:none");
                }
                    
                $cell = $table2->addRowCell($formGridItem->getColumnName())
                    ->setValignCentered()
                    ->setAlignRight();
                $cell->setFontSize($this->fontSize);
                
                 if ($formGridItem->getColorLabelText() != null)
                     $cell->setCellTextColor($formGridItem->getColorLabelText());

                  if ($formGridItem->getColorLabelBG() != null)
                     $cell->setCellBgColor($formGridItem->getColorLabelBG());
                                         
                
                if ($formGridItem->getComment() != null)
                    $cell->setBubbleText($formGridItem->getComment());

                if ($formGridItem->getRequired() == "Y")
                    $cell->setTextBold();

                $readonly = false;
                $negation = false;
                $caseSensitive = false;

                if ($filterFlag) {
                    // ID pro výběr dat
                    if ($formGridItem->getRequired() == "Y") {
                        $requiredText = "required_TRUE";
                    } else {
                        $requiredText = "required_FALSE";
                    }

                    $saveDataID = "_filter" . "_#_" . $formGridItem->getDbTable() . "_#_" . $formGridItem->getDbColumn() . "_#_" . $requiredText . "_#_" . str_replace(" ", "#$#", $formGridItem->getColumnName()) . "_#_" . $formGridItem->getDbType();

                    $sql = "select value, negation, caseSensitive from filter_data where user= :user and form_id= :form_id and tabname= :tabname and colname= :colname";
                    $this->pdo->setNamedParam("user", $_SESSION["is_user"]);
                    $this->pdo->setNamedParam("form_id", $this->formID);
                    $this->pdo->setNamedParam("tabname", $formGridItem->getDbTable());
                    $this->pdo->setNamedParam("colname", $formGridItem->getDbColumn());

                    foreach ($this->pdo->query($sql) as $dataFilter) {
                        $value = $dataFilter["value"];
                        $negation = $dataFilter["negation"];
                        $caseSensitive = $dataFilter["caseSensitive"];
                    }
                } elseif ($primaryKey == "NEW_REC") {
                    // ID pro Insert
                    $saveDataID = trim($primaryKey) . "_gridID_" . $formGrid->getGridID() . "_#_" . $formGrid->getDb_primary_key() . "_#_" . $formGridItem->getDbTable() . "_#_" . $formGridItem->getDbColumn();
                } else {
                    // ID pro update
                    if ($formGridItem->getReadonly() == "Y") {
                        //Když je readonly neprovádí se update
                        $saveDataID = "noupdate_".$formGridItem->getDbColumn()."readonly";
                    } else {
                        $saveDataID = getUpdateIdKey($formGridItem->getDbTable(), $formGrid->getDb_primary_key(), $key_code, $formGrid->getGridID(), $formGridItem->getDbColumn(), $oldValue);
                    }
                }

//                 echo "<BR>" . $saveDataID;
                
                if ($formGridItem->getMode() == "EDIT") {
                    if ($primaryKey != "NEW_REC" && $formGrid->getDb_primary_key() == $formGridItem->getDbColumn()) {
                        // Primární klíč v režimu update nelze měnit
                        $readonly = true;
                    }
                    $this->editMode = true;

                    if ($formGridItem->getSize() < 300 || $filterFlag){
                        $editText = new PrHtmlText($saveDataID, $formGridItem->getSize(), $value);
                    } else {
                        $editText = new PrHtmlTextArea($saveDataID, 4, 70, $value);
                    }
                    
                    if (strpos($saveDataID, "tableID_modelinp_kurz_#_conv_qty") > 0 ||
                        strpos($saveDataID, "gridID_modelinp_kurz_#_id_#_modelinp_#_conv_qty") > 0) {
                        $editText->setClassName("tableID_modelinp_kurz_conv_qty");
                    }
                    
                     if ($dataPlaceholder != null) {
                         $editText->setPlaceholder($dataPlaceholder);
                         if (strpos($dataPlaceholder, '- ') > 0){
                             list($min, $max) = explode(' - ', $dataPlaceholder);
                             $editText->setMin($min);
                             $editText->setMax($max);
                         }
                         if (strpos($dataPlaceholder, 'email') > 0){
                             $editText->setEmail();
                         }
                     }

                    if ($formGridItem->getColorBG() != null){
                        $editText->setTextBgColor($formGridItem->getColorBG());
                    }

                    if ($formGridItem->getComment() != null)
                        $editText->setBubbleText($formGridItem->getComment());
                    
                    if (is_a($editText, 'PrHtmlText')) {
                        setEditTextAttribute($formGridItem, $editText, $readonly, $filterFlag);
                    }
                        
                    if ($filterFlag) {
                        $editText->setQuery(true);

                        $htmlCaseSensitive = "";
                        if ($formGridItem->getDbType() == FormStructure::TYPE_TEXT) {
                            if ($formGridItem->getUpshift() != "Y") {
                                // Rozlišovat velikost písmen má smysl jen pro texty
                                $checkCaseSensitive = new prHtmlCheck(getEditUpdName("#caseSensitive", str_replace("_filter_", "", $saveDataID)), $key_code, $caseSensitive);
                                $checkCaseSensitive->setBubbleText("Rozlišovat velikost písmen");
                                $htmlCaseSensitive = $checkCaseSensitive->publish();
                            } 
                        }
                        $checkNeg = new prHtmlCheck(getEditUpdName("#negace", str_replace("_filter_", "", $saveDataID)), $key_code, $negation);
                        $checkNeg->setBubbleText("Negace výběrové podmínky");

                        $coldetl = $table2->addRowCell($checkNeg->publish() . $editText->setTextBgColor(prColors::GREEN_LIGHT_PALE)
                            ->publish() . $htmlCaseSensitive)
                            ->setValignCentered()
                            ->setNoWrap(true)->setFontSize($this->fontSize);
                    } elseif ($readonly || $formGridItem->getReadonly() == "Y") {
                        $editText->setTextBgColor(prColors::GREY_LIGHT);
                        $coldetl = $table2->addRowCell($this->getHTML4Label($formGridItem, $editText, $labelItem))->setFontSize($this->fontSize);
                    }
                    elseif ($formGridItem->getRequired() == "Y"){
                        if ($formGridItem->getColorBG() != null) {
                            $editText->setTextBgColor($formGridItem->getColorBG());                           
                        } else {
                            $editText->setTextBgColor(prColors::LIGHTSKYBLUE);                            
                        }
                        $coldetl = $table2->addRowCell($this->getHTML4Label($formGridItem, $editText, $labelItem))->setFontSize($this->fontSize);
                    } else {
                        $coldetl = $table2->addRowCell($this->getHTML4Label($formGridItem, $editText, $labelItem))->setFontSize($this->fontSize);
                    }
                     $coldetl->setFontSize($this->fontSize);
                    
                        
                } elseif ($formGridItem->getMode() == "COMBO_EDIT") {

                    $comboType = new prHtmlCombo($saveDataID);
                    if (strpos($saveDataID, "tableID_modelinp_kurz_#_currency_code") > 0 ||
                        strpos($saveDataID, "gridID_modelinp_kurz_#_id_#_modelinp_#_currency_code") > 0) 
                    {
                        $comboType->setClassName("tableID_modelinp_kurz_currency_code");
                    }
                    
                    $comboType->setFontSize($this->fontSize);

                    if ($formGridItem->getComboDBTable() != null) {

                        if ($filterFlag && $formGridItem->getRequired() == "N") {
                             $comboType->addOptionAll();
                        } else {
                            $comboType->addOptionNone();
                        }

                        $comboInfo = $formGridItem->getItems()[0];

                        $whereText = $comboInfo->getWhereText();
                        if ($whereText == null)
                            $whereText = "1=1";
                        $sql = "select ";
                        $sql .= $comboInfo->getValue() . ", ";
                        $sql .= $comboInfo->getText() . " ";
                        $sql .= " from " . $formGridItem->getComboDBTable() . " where " . $whereText . " and valid_flag = 1 order by 1, 2 ";

                        $comboType->addListFromDB($this->pdo, $sql, $comboInfo->getValue(), $comboInfo->getValue(), $comboInfo->getText(), $value);
                    } else {
                        if ($filterFlag) {
                            $comboType->addOptionAll();
                        }
                        foreach ($formGridItem->getItems() as $comboItem) {
                            $comboType->addOption($comboItem->getValue(), $comboItem->getText(), $comboItem->getChecked());
                        }
                    }

                    $comboType->setSelectedValue($value);
                    if ($formGridItem->getReadonly() == "Y") {
                        $comboType->setDisabled();
                    }

                    $comboType->setRequired($formGridItem->getRequired() == "Y");

                    $coldetl = $table2->addRowCell($comboType->publish())->setFontSize($this->fontSize);
                } elseif ($formGridItem->getMode() == "RADIO_EDIT") {
                    $radio = new PrHtmlRadio($saveDataID);

                    $radio->setBubbleText($formGridItem->getComment());

                    $table0 = new PrHtmlTable();

                    foreach ($formGridItem->getItems() as $comboItem) {
                        $table0->addRow();
                        $table0->addRowCell($radio->publishVal($comboItem->getValue(), $value, $comboItem->getText())->setFontSize($this->fontSize))
                            ->setColSpan(2);
                    }
                    $coldetl = $table2->addRowCell($table0->publish())->setFontSize($this->fontSize);
                } elseif ($formGridItem->getMode() == "CHECK_EDIT") {
                    $checkItem = $formGridItem->getItems()[0];

                    $check = new prHtmlCheck($saveDataID, $value, ($value == $checkItem->getValue()));

                    if ($formGridItem->getReadOnly() == "Y")
                        $check->setDisabled();

                    $check->setBubbleText($formGridItem->getComment());
                    if ($formGridItem->getReadOnly() == "Y")
                        $check->setDisabled();
                        $coldetl = $table2->addRowCell($check->publish())->setFontSize($this->fontSize);
                } else { //VIEW
                    
                    if ($value == null){
                        if ($formGridItem->getDefaultValue() != null){
                            $coldetl = $table2->addRowCell(getDefaultValue($formGridItem->getDefaultValue()))->setValignCentered()->setFontSize($this->fontSize);
                        } else {
                            $coldetl = $table2->addRowCell("")->setValignCentered()->setFontSize($this->fontSize);
                        }
                    } else {
                        if ($formGridItem->getDbType() == FormStructure::TYPE_DATE) {
                            if ($value != null) {
                                $value = getFormDate($value);
                            }
                        }
                        if ($formGridItem->getDbType() == FormStructure::TYPE_DATETIME) {
                            if ($value != null) {
                                $value = getFormDateTime($value);
                            }
                        }
                        
                        $coldetl = $table2->addRowCell($value . " ". $labelItem)->setValignCentered()->setFontSize($this->fontSize);
                        
                        
                    }
                    $coldetl->setBubbleText($formGridItem->getComment());
                    if ($formGridItem->getPosition() == "center") {
                        $coldetl->setAlignCentered();
                    } elseif ($formGridItem->getPosition() == "right") {
                        $coldetl->setAlignRight();
                    }
                }
                $coldetl->setFontSize($this->fontSize);
                $coldetl->setWidth($formGridItem->getSize() * 5);
            } else {
                $table2->addRow();

                $table2->addRowCell($formGridItem)->setFontSize($this->fontSize);
            }
        }
    }

    /**
     * Vrací třídu s formulářem
     *
     * @return boolean
     */
    public function getFirstGrid()
    {
        return $this->firstGrid;
    }

    /**
     * Vrací TRUE pokud nebyl ještě zobrazený filtr pro zadání výběrové podmínky 
     *
     * @param boolean $firstGrid
     */
    public function setFirstGrid($firstGrid)
    {
        $this->firstGrid = $firstGrid;
    }

    /**
     * Funkce vrací připravený SQL příkaz pro aktualizaci dat
     * @return string
     */
    public function getUpdateSQL()
    {
        return $this->updateSQL;
    }

    /**
     * Funkce vrací výsledný HTML kód
     * @return string
     */
    public function getHtml()
    {
        return $this->htmlTable;
    }

    /**
     * Funkce vraci TRUE pokud se jedná o grid, který se má zobrazit.
     *
     * @return boolean
     */
    protected function isGridActive($formGrid, $newFlag)
    {
        if ($formGrid->getInsert_flag() == "N" && $newFlag) {
            if ($_SESSION["insRow"] == "N")
                return false;
        }
        if ($formGrid->getDetail_flag() == "N" && ! $newFlag) {
            return false;
        }
        return true;
    }
    
    /**
     * Funkce za editovatelný text připojí poznámku (např. Kč, %, MJ atd.)
     * @return string
     */
    protected function getHTML4Label(FormGridItem $formGridItem, $editText, $label) {
        $dbType = $formGridItem->getDbType();
        $editText->setFontSize($this->fontSize);
        
        
        if (is_a($editText, "PrHtmlText")) {
            FormCore::setPattern4EditText($dbType, $editText);
        }
        
        if ($label == null || is_a($editText, "PrHtmlTextArea")) {
            return $editText->publish();
        } else {
            $subtable = new PrHtmlTable();
            if (strlen($label)>10) {
                $width = strlen($label) + $formGridItem->getSize() + strlen($formGridItem->getColumnName()) + 10;
                $subtable->setWidth($width * 5);
            }
            
            $subtable->addRow();
            $subtable->addRowCell($editText->publish())->setFontSize($this->fontSize)->setWidthPercent(10);
            $labelCell = $subtable->addRowCell($label)->setValignCentered()->setFontSize($this->fontSize)->setAlign("left");
            if ($formGridItem->getColorLabelText() != null) {
                $labelCell->setCellTextColor($formGridItem->getColorLabelText());
            }
            $labelCell->setWidthPercent(100);
            
            return $subtable->publish();
        }
    }
}

