<?php
/**
 * @author Petr Ruttkay
 *
 */

require_once "_class/prHtmlCoreModelFree.php";
require_once "_class/prHtmlForm.php";
require_once "_class/prHtmlFieldSet.php";
require_once "_class/prHtmlTable.php";
require_once "_class/prHtmlText.php";



class PrAuthentication
{
   private $pdo;
   const TIMEOUT_MIN = 30;


   public function __construct(modelPdo $pdo)
   {
      $this->pdo = $pdo;
   }


   function getLogoutLink()
   {
       // odhlášení - dotaz, přesměrování na stránku core/logout.php
      $js = '<script type="text/javascript" charset="UTF-8" src="./_js/logout.js"></script>';
      
      return $js . '<a href="javascript:logout()" title="Odhlášení z aplikace">' .
          '<img src="./_img/small/logout.png" alt="Odhlášení"></a>';
   }


   function getAuthName()
   {
       return $_SESSION["is_auth_name"];
   }


   function getAuthLogin()
   {
       return $_SESSION["is_auth_login"];
   }


   function checkAuth()
   {
      if (session_status() == PHP_SESSION_NONE)
      {
         ini_set('session.cookie_lifetime', 0);
         session_start();
      }
      

      
      
      $timeoutFlag = false;
      
      // timeout
      if (isset($_SESSION["login_time"]) &&
          (time() - $_SESSION["login_time"] >= self::TIMEOUT_MIN * 60))
      {
          // odhlášení z důvodu nečinnosti
          unset($_SESSION["is_auth_login"]);
          $timeoutFlag = true;
      }
      else
      {
          $_SESSION["login_time"] = time();
      }
      
      // uložení zadaného přihlášení
      if (PrHtmlCore::getParamOpt("auth_login") != null)
      {
         $this->saveAuth();
      }
      
      
      // přihlášení
      if (!isset($_SESSION["is_auth_login"]))
      {
         $this->entryAuth($timeoutFlag);
      }
   }


   function entryAuth($timeoutFlag)
   {
       echo fillMenuModelNew($this->pdo, null, null, null);
       $htmlCore = new PrHtmlCoreModelFree();
       $htmlCore->htmlHeader('Přihlášení');
//        $htmlCore->pageTitle('Přihlášení do CEVEMA');
//       echo '<div align=center><br><br><br><br>';
      
      if (PrHtmlCore::getParamOpt("auth_login") != null)
      {
          echo '<div id="loginErrdiv">';
          echo '<h4 class="h4 mb-3 fw-normal"><center>'.PrHtmlCore::getParamOpt("auth_login").
                ' - Neplatné přihlašovací údaje.</center></h4>';
          echo '</div>';
      }
      else
      {
         if ($timeoutFlag)
         {
             echo '<div id="loginErrdiv">';
             echo '<h4 class="h4 mb-3 fw-normal"><center>'.PrHtmlCore::getParamOpt("auth_login").
             ' - Došlo k odhlášení z důvodu nečinnosti po více než '. self::TIMEOUT_MIN .' minut.</center></h4>';
             echo '</div>';
         }
      }
      
      echo '<br><br>';
      
      echo "<div id='logindiv'>";
      echo '<main class="form-signin text-center">';
      echo '<form>';
      echo '<h1 class="h3 mb-3 fw-normal">Přihlášení do CEVEMA</h1>';
      echo '';
      echo '<div class="form-floating">';
      echo '<input name="auth_login" class="form-control" id="floatingInput" placeholder="name@example.com">';
      echo '<label for="floatingInput">Login</label>';
      echo '</div>';
      echo '<div class="form-floating">';
      echo '<input type="password" name="auth_pswd" class="form-control" id="floatingPassword" placeholder="Password">';
      echo '<label for="floatingPassword">Heslo</label>';
      echo '</div>';
      echo '';
//       echo '<div class="checkbox mb-3">';
//       echo '<label>';
//       echo '<input type="checkbox" value="remember-me"> Remember me';
//       echo '</label>';
//       echo '</div>';
      echo '<button class="w-100 btn btn-lg btn-primary" type="submit">Přihlásit</button>';
      echo '<p class="mt-5 mb-3 text-muted">&copy; 2024</p>';
      echo '</form>';
      echo '</main>';
      echo '</div>';
      
      
      PrHtmlCore::htmlFooter();
      
      die();
   }


   function saveAuth()
   {
      $auth_login = trim(PrHtmlCore::getParamReq("auth_login")); // strtoupper

      //Pro první připojení když ještě nejsou nastavení uživatele systému 
      if ($auth_login == "xxx")
      {
         // pro jistotu výmaz přihláení ze sezení
         PrAuthentication::logout();
         
         if ("xxx" == trim(PrHtmlCore::getParamReq()))
         {
            $_SESSION["appl_mode"] = 'admin';
            $_SESSION["is_auth_login"] = $auth_login;
            $_SESSION["is_user"] = $auth_login;
            $_SESSION["is_auth_name"] = "Administrátor";
            $_SESSION["login_time"] = time();
            $_SESSION["user_is_logged"] = 1;
            
         }
         else
         {
            return;
         }
      } else if ($auth_login == "anonym")
      {
          // pro jistotu výmaz přihláení ze sezení
          PrAuthentication::logout();
          
          if ("anonym" == trim(PrHtmlCore::getParamReq()))
          {
              $_SESSION["appl_mode"] = 'anonym';
              $_SESSION["is_auth_login"] = $auth_login;
              $_SESSION["is_user"] = $auth_login;
              $_SESSION["is_auth_name"] = "$auth_login";
              $_SESSION["login_time"] = time();
              $_SESSION["user_is_logged"] = 1;
              
          }
          else 
          {
              return;
          }
      } else
      {
         // přihlášení běžného uživatele - heslo dle nastavení v tab. user
         $sql = "select name_text, password_text, admin_is " .
             " from user" .
             " where user_code = :auth_login";
         
         $this->pdo->setNamedParam("auth_login", $auth_login);
         // $this->pdo->setDebugOn();
         
         $user = $this->pdo->fetchRow($sql);
         

         
         if ($user != null &&
             trim($user["password_text"]) == trim(PrHtmlCore::getParamReq("auth_pswd")))
         {
            // uložení přihlášení do sezenu
            $_SESSION["appl_mode"] = 'user';
            $_SESSION["is_auth_login"] = $auth_login;
            $_SESSION["is_auth_name"] = $user["name_text"];
            $_SESSION["is_user"] = $auth_login;
            $_SESSION["login_time"] = time();
            $_SESSION["user_is_logged"] = 1;
            if ($user["admin_is"] == "A")
                $_SESSION["appl_mode"] = 'admin';
            else
                $_SESSION["appl_mode"] = 'user';
         }
         else
         {
             // pro jistotu výmaz přihláení ze sezení
            PrAuthentication::logout();
            return;
         }
         
      }
   }


   function isAdminMode()
   {
      if (isset($_SESSION["appl_mode"]))
      {
         return ($_SESSION["appl_mode"] == 'admin');
      }
      else
      {
         return false;
      }
   }


   static function logout()
   {
      // zrušení údajú o přihlšení
      unset($_SESSION["is_auth_login"]);
      unset($_SESSION["is_auth_name"]);
      unset($_SESSION["login_time"]);
      unset($_SESSION["appl_mode"]);
      unset($_SESSION["is_user"]);
      
      unset($_SESSION["db_host"] );
      unset($_SESSION["db_user"] );
      unset($_SESSION["db_pwd"] );
      unset($_SESSION["database"]);
      unset($_SESSION['kurz_EUR_datum']);
      unset($_SESSION['kurz_EUR']);
      
      $_SESSION["user_is_logged"] = 0;   
   }

}
