<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * Funkce načte levé menu z databáze
 * @param modelPdo $pdo
 * @param string $baseMenu
 * @param string $currentMenuID
 * @param string $parentMenuID
 * @return string
 */
function fillMenuModelNew($pdo, $currentMenuID, $parentMenuID)
{
    
    if (isset($_COOKIE["model_expanded"])) {
        $_SESSION['model_expanded'] = $_COOKIE["model_expanded"];
    }
    if (isset($_COOKIE["option_expanded"])) {
        $_SESSION['option_expanded'] = $_COOKIE["option_expanded"];
    }
    if (isset($_COOKIE["admin_expanded"])) {
        $_SESSION['admin_expanded']  = $_COOKIE["admin_expanded"];
    }
    
    unset($_COOKIE['model_expanded']);
    unset($_COOKIE['option_expanded']);
    unset($_COOKIE['admin_expanded']);
    
    $securityInd = 0;
    if (isset($_SESSION["is_user"])){
        $sql = "select * from user where user_code = :user_code and valid_flag = 1";
        $pdo->setNamedParam("user_code", $_SESSION["is_user"]);
        
        foreach ($pdo->query($sql) as $data)
        {
            $securityInd = $data["security_ind"];
        }        
    }
          
    $outHtml = getStartHeader();
    
    $sql = "select * from menu where security_ind <= :security_ind and parent_menu_id is null and valid_flag = 1 order by sort_key";
    //echo "<BR>" . $sql;
    $pdo->setNamedParam("security_ind", $securityInd);
    
    foreach ($pdo->query($sql) as $data)
    {
        $descText = $data["desc_text"];
//         echo "<BR>" . $descText;
        $file = $data["file"];
        $menu_id = $data["menu_id"];
        $parent_menu_id = $data["parent_menu_id"];
        $baseMenu = $data["base_menu_text"];
        $subMenu = $data["sub_menu"];
        $param = $data["param"];

        if ($baseMenu == "admin") {
            $outHtml .= "\n";
            $outHtml .= '<li><hr class="dropdown-divider"></li>';
        }
        
            $outHtml .= "\n";
            $outHtml .= '                <li class="mb-1">';
            $outHtml .= "\n";
            $outHtml .= '                <button ';        
//            $outHtml .= ' class="btn-primary btn-toggle align-items-center rounded collapsed shadow-sm text-white"';
            $outHtml .= ' class="btn-secondary btn-toggle align-items-center rounded collapsed shadow-sm text-white"';
//             $outHtml .= ' class="btn btn-toggle align-items-center rounded collapsed shadow-sm text-white"';
            $outHtml .= ' data-bs-toggle="collapse" data-bs-target="#' . $baseMenu . '-collapse"';
            
            $show = "";
            if (!isset($_SESSION['user_is_logged']) || $_SESSION["user_is_logged"] == 0){
                //Když není přihlášený pak se rozbalí celé menu
                $ariaExpanded = "true";
                $show = "show";
            } else if (isset($_SESSION[$baseMenu."_expanded"])){
                //echo "<BR> " . $baseMenu."_expanded is set = " . $_SESSION[$baseMenu."_expanded"];
                if (trim($_SESSION[$baseMenu."_expanded"]) == "true") {
                    //echo "<BR> TRUE";
                    $ariaExpanded = "true";
                    $show = "show";
                } else {
                    //echo "<BR> FALSE";
                    $ariaExpanded = "false";
                }                
            } else {
                //echo "<BR> XXXXXX";
                if ($baseMenu == "model") {
                    $ariaExpanded = "true";
                    $show = "show";
                } else {
                    $ariaExpanded = "false";
                }
            }
            
            $outHtml .= ' id=' . $baseMenu . ' aria-expanded="' . $ariaExpanded . '">' . $descText . '</button>';
            
            $outHtml .= "\n";
            $outHtml .= '                   <div class="collapse ' . $show . '" id="' . $baseMenu . '-collapse">';
            $outHtml .= "\n";
            $outHtml .= '                      <ul class="btn-toggle-nav list-unstyled fw-normal pb-1 small" id="baudrate">';
            
                
            $sql2 = "select * from menu where base_menu_text = :base_menu_text and parent_menu_id = :parent_menu_id and valid_flag = 1 order by sort_key ";
            $pdo->setNamedParam("parent_menu_id", $menu_id);
            $pdo->setNamedParam("base_menu_text", $baseMenu); 
            
            foreach ($pdo->query($sql2) as $data2)
            {
                $descText2 = $data2["desc_text"];
                $file2 = $data2["file"];
                $menu_id2 = $data2["menu_id"];
                $parent_menu_id2 = $data2["parent_menu_id"];
                $param="1";
                $subMenu2 = $data2["sub_menu"];
                $param = $data2["param"];
                
                $outHtml .= "\n                          <li><a href= 'index.php?base=". $baseMenu."&menu=". $file2 . "&menuID=". $menu_id2 ."&parent=". $parent_menu_id2 ."&param=". $param .
//                             "' class='link-primary rounded'>" . $descText2 . "</a></li>";
                            "' class='link-warning rounded'>" . $descText2 . "</a></li>";
            }
            
            $outHtml .= "\n                      </ul>";
            $outHtml .= "\n                   </div>";
            $outHtml .= "\n";
            $outHtml .= '                </li>';
        
    }
    
    
    $outHtml .= "\n";
    $outHtml .= '<li><hr class="dropdown-divider"></li>';
    
    $isLogged = 0;
    if (isset($_SESSION['user_is_logged'])){
        $isLogged = $_SESSION['user_is_logged'];
    }
    if ($isLogged == 0){
        $outHtml .= "\n";
        $outHtml .= '                <li class="nav-item"><a';
        $outHtml .= ' class="nav-link active link-white fs-6 text-decoration-none';
        $outHtml .= ' aria-current=page" href="index.php?menu=login">';
        $outHtml .= ' <img class="pe-1" src="./_img/small/user.png" style="width: 24px; height: 24px;" title="Přihlášení">Přihlášení';
        $outHtml .= '</a></li>';
    } else {
        $logoutStr = '<a class="nav-link active link-white rounded fs-6 text-decoration-none aria-current=page" href="javascript:logout()" title="Odhlášení z aplikace">' .
        '<img src="./_img/small/logout.png" alt="Odhlášení">Odhlášení</a>';
        
        $outHtml .= "\n";
        $outHtml .= '                <li class="nav-item">';
        $outHtml .= $logoutStr;
//         $outHtml .= '<a';
//         $outHtml .= ' class="nav-link active link-dark fs-6 text-decoration-none"';
//         $outHtml .= ' aria-current="page" href="index.php?menu=login">Odhlášení';
//         $outHtml .= '</a>';
        $outHtml .= '</li>';
    }

    
         
    $outHtml .= getEndHeader();
    
    return $outHtml;
}

/**
 * Funkce načte levé menu z databáze
 * @param modelPdo $pdo
 * @param string $baseMenu
 * @param string $currentMenuID
 * @param string $parentMenuID
 * @return string
 */
function fillMenuModel($pdo, $baseMenu, $currentMenuID, $parentMenuID)
{
    
    $securityInd = 1;
    if (isset($_SESSION["is_user"])){
        $sql = "select * from user where user_code = :user_code and valid_flag = 1";
        $pdo->setNamedParam("user_code", $_SESSION["is_user"]);
        
        foreach ($pdo->query($sql) as $data)
        {
            $securityInd = $data["security_ind"];
        }
    }
    
    $outHtml  = "";
    $outHtml .= "\n<div id='levy'> ";
    $outHtml .= "\n<div id='glossymenu'>";
    $outHtml .= "\n<ul id='glossymenu'>";
    
    switch ($baseMenu) {
        case "model": $name = "CEVEMA+";
        break;
        case "option": $name = "Nastavení modelu";
        break;
        case "admin": $name = "Systémové služby";
        break;
        
        default:
            $name = "";
            break;
    }
    
    $outHtml .= '<b>'. $name .'</b>';
    

    $securityInd = 1;
    if (isset($_SESSION["is_user"])){
        $sql = "select * from user where user_code = :user_code and valid_flag = 1";
        $pdo->setNamedParam("user_code", $_SESSION["is_user"]);
        
        foreach ($pdo->query($sql) as $data)
        {
            $securityInd = $data["security_ind"];
        }
    }
    
    $sql = "select * from menu where base_menu_text = :base_menu_text and security_ind <= :security_ind and parent_menu_id is null and valid_flag = 1 order by sort_key";
    
    
    
    $pdo->setNamedParam("base_menu_text", $baseMenu);
    $pdo->setNamedParam("security_ind", $securityInd);
    
    foreach ($pdo->query($sql) as $data)
    {
        $descText = $data["desc_text"];
        $file = $data["file"];
        $menu_id = $data["menu_id"];
        $parent_menu_id = $data["parent_menu_id"];
        $subMenu = $data["sub_menu"];
        $param = $data["param"];
        
        
        if ($menu_id == $currentMenuID){
            $class1 = "class= 'currentmenu1'";
        } else {
            $class1 = "";
        }
        
        
        $expand = false;
        if ($subMenu == "Y"){
            if (isset($_SESSION["menuID=". $menu_id])){
                if ($_SESSION["menuID=". $menu_id] == "expanded"){
                    $expand = true;
                    //Zbalení aktuálního menu
                    if ($currentMenuID == $menu_id && $parentMenuID == null){
                        $expand = false;
                    }
                }
            }
            
            $_SESSION["menuID=". $menu_id] = "collapsed";
        }
        
        
        if (($subMenu == "Y" && $parentMenuID == $menu_id) || $expand) {
            
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file. "&menuID=". $menu_id ."&parent=". $parent_menu_id ."&param=". $param ."'><span class='expanded'>".$descText."</span></a></li>";
            $_SESSION["menuID=". $menu_id] = "expanded";
            
            $sql2 = "select * from menu where base_menu_text = :base_menu_text and parent_menu_id = :parent_menu_id and valid_flag = 1 order by sort_key ";
            $pdo->setNamedParam("parent_menu_id", $menu_id);
            $pdo->setNamedParam("base_menu_text", $baseMenu);
            
            $outHtml .= "\n   <div class='menu2'>";
            foreach ($pdo->query($sql2) as $data2)
            {
                $descText2 = $data2["desc_text"];
                $file2 = $data2["file"];
                $menu_id2 = $data2["menu_id"];
                $parent_menu_id2 = $data2["parent_menu_id"];
                $param="1";
                $subMenu2 = $data2["sub_menu"];
                $param = $data2["param"];
                if ($menu_id2 == $currentMenuID){
                    $class2 = "currentmenu2";
                } else {
                    $class2 = "menu2";
                }
                if ($subMenu2 == "Y"){
                    $outHtml .= "\n      <li><a class='" .$class2. "' href='index.php?base=". $baseMenu."&menu=". $file2 . "&menuID=". $menu_id2 ."&parent=". $parent_menu_id2 ."&param=". $param ."'><span class='collapsed'>".$descText2."</span></a></li>";
                    
                } else {
                    $outHtml .= "\n      <li><a class='" .$class2. "' href='index.php?base=". $baseMenu."&menu=". $file2 . "&menuID=". $menu_id2 ."&parent=". $parent_menu_id2 ."&param=". $param ."'>".$descText2."</a></li>";
                    
                }
            }
            
            $outHtml .= "\n   </div>";
            
            //             }
        }elseif ($subMenu == "Y" && $parent_menu_id == null) {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&parent=". $menu_id ."&param=". $param ."'><span class='collapsed'>".$descText."</span></a></li>";
            
        } elseif ($parent_menu_id != null) {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&parent=". $parent_menu_id ."&param=". $param ."'>".$descText."</a></li>";
        }else {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&param=". $param ."'>".$descText."</a></li>";
        }
        
    }
    
    
    $outHtml  .= "\n</ul>";
    $outHtml  .= "\n</div>";
    $outHtml  .= "\n</div>	";
    
    
    return $outHtml;
}

function getStartHeader(){
    
    
    $js = '<script type="text/javascript" charset="UTF-8" src="./_js/logout.js"></script>';
    
    $logOutHref = 'href="javascript:logout()" title="Odhlášení z aplikace"';
        
    $logOutImg = '<img src="./_img/small/logout.png" alt="Odhlášení">';
    
    $outHtml = "\n";
    $outHtml .= $js;
    $outHtml .= "\n\n";
    $outHtml .= '<header>';
    $outHtml .= "\n";
    $outHtml .= '   <nav class="navbar navbar-dark bg-dark white-sm">';
    $outHtml .= "\n";
    $outHtml .= '      <div class="col-2 col-sm-3 col-lg-2 d-flex gap-2 justify-content-center align-items-center">';
    $outHtml .= "\n";

//      $outHtml .= '<div class="container">';
    
    
    $outHtml .= '         <button ';
    $outHtml .= ' class="navbar-toggler btn-labeled btn-dark border border-secondary light"';
    $outHtml .= ' type="button" data-bs-toggle="offcanvas"';
    $outHtml .= ' data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar">';
    $outHtml .= "\n";
    $outHtml .= '            <span class="navbar-toggler-icon"></span>';
    $outHtml .= "\n";
    $outHtml .= '         </button>';
    $outHtml .= "\n";
    $outHtml .= '      </div>';
    $outHtml .= "\n";
    $outHtml .= '      <div class="col-sm-8 col-xl-9 fs-5 d-flex justify-content-center align-items-center">';
    $outHtml .= "\n";
    $outHtml .= '          <h4 class="text-white">Cevema+ model</h4>';
    $outHtml .= "\n";
    $outHtml .= '      </div>';
    $outHtml .= "\n";
    $outHtml .= "\n";
    
    
//     $outHtml .= '<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarHeader" aria-controls="navbarHeader" aria-expanded="false" aria-label="Toggle navigation">';
//     $outHtml .= '<span class="navbar-toggler-icon"></span>';
//     $outHtml .= '</button>';
    
    
//     $outHtml .= $logOutStr;
     if (isset($_SESSION['user_is_logged']) && $_SESSION["user_is_logged"] == 1){
         $outHtml .= '      <div>';
         $outHtml .= "\n";
         $outHtml .= '         <a '.$logOutHref.' class="navbar-brand d-flex align-items-center">';
         //$outHtml .= '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" aria-hidden="true" class="me-2" viewBox="0 0 24 24"><path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"/><circle cx="12" cy="13" r="4"/></svg>';
         $outHtml .= "\n";
         $outHtml .=  '           ' . $logOutImg;
         
         if (isset($_SESSION["is_auth_name"])) {
             $outHtml .= "\n";
             $outHtml .= '            <h4>' . $_SESSION["is_auth_name"] . '</h4>';
         }         
         $outHtml .= "\n";
         $outHtml .= '         </a>';
         $outHtml .= "\n";
         $outHtml .= '      </div>';
     }
        
    
    
//     $outHtml .= '<div class="container">';
//     $outHtml .= '<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarHeader" aria-controls="navbarHeader" aria-expanded="false" aria-label="Toggle navigation">';
//     $outHtml .= '<span class="navbar-toggler-icon"></span>';
//     $outHtml .= '</button>';
//     $outHtml .= '          <h4 class="text-white">Cevema model</h4>';
//     $outHtml .= '<a href="#" class="navbar-brand d-flex align-items-center">';
//     $outHtml .= '<svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" aria-hidden="true" class="me-2" viewBox="0 0 24 24"><path d="M23 19a2 2 0 0 1-2 2H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h4l2-3h6l2 3h4a2 2 0 0 1 2 2z"/><circle cx="12" cy="13" r="4"/></svg>';
//     $outHtml .= '<strong>Album</strong>';
//     $outHtml .= '</a>';
//     $outHtml .= '</div>';
    
    $outHtml .= '      <div class="offcanvas offcanvas-start collapse text-white bg-dark" tabindex="-1"';
    $outHtml .= ' id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">';
    $outHtml .= "\n";
    $outHtml .= '          <div class="offcanvas-header">';
    $outHtml .= "\n";
    $outHtml .= '             <h5 class="offcanvas-title text-white" id="offcanvasNavbarLabel">Menu</h5>';
    $outHtml .= "\n";
    $outHtml .= '             <button type="button" class="btn-close btn-close-white" data-bs-dismiss="offcanvas"	aria-label="Close"></button>';
    $outHtml .= "\n";
    $outHtml .= '          </div>';
    
    $outHtml .= ' <li class="nav-item"><a';
    $outHtml .= ' class="nav-link active link-white fs-6 text-decoration-none';
    $outHtml .= ' aria-current=page" href="index.php">';
    $outHtml .= ' <img class="pe-1" src="./_img/small/house.png" style="width: 24px; height: 24px;" title="Domů">Domů';
    $outHtml .= '</a></li>';
    
    $outHtml .= "\n";
    $outHtml .= '          <div class="offcanvas-body" align=left>';
    $outHtml .= "\n";
    $outHtml .= '             <ul class="navbar-nav me-auto mb-2 mb-lg-0">';

    
    
    return $outHtml;
}

function getEndHeader() {
    $outHtml = "\n";
    $outHtml .= '             </ul>';
    $outHtml .= "\n";
    $outHtml .= '         </div>';
    $outHtml .= "\n";
    $outHtml .= '      </div>';
    $outHtml .= "\n";
    $outHtml .= '   </nav>';
    $outHtml .= "\n";
    $outHtml .= '</header>';
 
//     if (isset($_SESSION['kurz_EUR'])) {
//         $outHtml .= "\n\n";
//         $outHtml .= "<P class='resultCurr'>Kurz EUR = " . $_SESSION['kurz_EUR'] . " Kč</P>";
//     }
    
    return $outHtml;
    
}