<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * Funkce vytvoří řetezec s grafem určený k zobrazení v HTML stránce. Data pro graf jsou načtený z databáze. 
 *  
 * @param modelPdo $pdo
 * @param string $chartIdx - Pořadové číslo grafu
 * @return string
 */
function getModelCanvasScript($pdo, $chartIdx) {
    
    $outHtml = '';
    $outHtml .= '<script> ';
    $outHtml .= 'window.onload = function () { ';
    $outHtml .= "";
    $outHtml .= 'var options1 = { ';
    $outHtml .= 'animationEnabled: true, ';
    $outHtml .= '	theme: "graph", ';
    $outHtml .= '	title:{ ';
    $outHtml .= 'text: "Rozložení celkových nákladů " ';
    $outHtml .= '	}, ';
    $outHtml .= '	axisX:{ ';
    $outHtml .= '		valueFormatString: "##" ';
    $outHtml .= '	}, ';
    $outHtml .= " \n ";
    $outHtml .= '	axisY: { ';
    $outHtml .= '		title: "Index", ';
    $outHtml .= '		suffix: " %", ';
    $outHtml .= '		minimum: 0 ';
    $outHtml .= '	}, ';
    $outHtml .= " \n ";
    $outHtml .= '	toolTip:{ ';
    $outHtml .= '		shared:true ';
    $outHtml .= '	},   ';
    $outHtml .= " \n ";
    $outHtml .= '	legend:{ ';
    $outHtml .= '		cursor:"pointer", ';
    $outHtml .= '		verticalAlign: "bottom", ';
    $outHtml .= '		horizontalAlign: "left", ';
    $outHtml .= '		dockInsidePlotArea: true ';
    $outHtml .= '	}, ';
    $outHtml .= " \n ";
    $outHtml .= '	data: [{ ';
    $outHtml .= '		type: "line", ';
    $outHtml .= '		showInLegend: true, ';
    $outHtml .= '		name: "Materiálové náklady", ';
    $outHtml .= '		markerType: "square", ';
    $outHtml .= '		xValueFormatString: "##", ';
    $outHtml .= '		color: "green", ';
    $outHtml .= '		yValueFormatString: "#.##%", ';
    $outHtml .= '		dataPoints: [ ';
    
    $sql = "select * from modeldatamin where type_ind = 'Z' and valid_flag = 1 order by country_code";
    
    $line1 = " \n ";
    $line2 = " \n ";
    $line3 = " \n ";
    $idx = 0;
    $carka = "";
    foreach ($pdo->query($sql) as $data){
        $idx ++;
        $country_code = $data["country_code"];
        $mat_cost_amt = $data["mat_cost_amt"];
        $person_cost_amt = $data["person_cost_amt"];
        $other_cost_amt = $data["other_cost_amt"];
        
        $line1 .= $carka . '{ label: "'.$country_code.'", y: '.$mat_cost_amt.' } ';
        $line2 .= $carka . '{ label: "'.$country_code.'", y: '.$person_cost_amt.' } ';
        $line3 .= $carka . '{ label: "'.$country_code.'", y: '.$other_cost_amt.' } ';
        
        $line1 .= " \n ";
        $line2 .= " \n ";
        $line3 .= " \n ";
        
        $carka = ", ";
        
    }
        
    $outHtml .= $line1;
    $outHtml .= " \n ";
    
    $outHtml .= '		] ';
    $outHtml .= '	}, ';
    $outHtml .= '	{ ';
    $outHtml .= '		type: "line", ';
    $outHtml .= '		showInLegend: true, ';
    $outHtml .= '		name: "Osobní náklady", ';
    $outHtml .= '		lineDashType: "dash", ';
    $outHtml .= '		color: "red", ';
    $outHtml .= '		yValueFormatString: "#.##%", ';
    $outHtml .= '		dataPoints: [ ';
    $outHtml .= " \n ";
    $outHtml .= $line2;
    $outHtml .= " \n ";
    
    $outHtml .= '		] ';
    $outHtml .= '	}, ';
    $outHtml .= '	{ ';
    $outHtml .= '		type: "line", ';
    $outHtml .= '		showInLegend: true, ';
    $outHtml .= '		name: "Ostatní náklady", ';
    $outHtml .= '		lineDashType: "dash", ';
    $outHtml .= '		color: "blue", ';
    $outHtml .= '		yValueFormatString: "#.##%", ';
    $outHtml .= '		dataPoints: [ ';
    $outHtml .= " \n ";
    $outHtml .= $line3;
    $outHtml .= " \n ";
    
    $outHtml .= '    ] ';
    $outHtml .= '}] ';
    $outHtml .= '}; ';

    $outHtml .= " \n ";
    $outHtml .= 'var options2 = options1;';
    $outHtml .= " \n ";
    $outHtml .= 'var options3 = options1;';
    $outHtml .= " \n ";

    $outHtml .= '$("#graph001").tabs({';
    $outHtml .= '    create: function (event, ui) {';
    $outHtml .= '        $("#chartContainer001").CanvasJSChart(options1);';
    $outHtml .= '    },';
    $outHtml .= '    activate: function (event, ui) {';
    $outHtml .= '        ui.newPanel.children().first().CanvasJSChart().render();';
    $outHtml .= '    }';
    $outHtml .= '});';
    $outHtml .= " \n ";
    
    $outHtml .= '$("#graph002").tabs({';
    $outHtml .= '    create: function (event, ui) {';
    $outHtml .= '        $("#chartContainer002").CanvasJSChart(options2);';
    $outHtml .= '    },';
    $outHtml .= '    activate: function (event, ui) {';
    $outHtml .= '        ui.newPanel.children().first().CanvasJSChart().render();';
    $outHtml .= '    }';
    $outHtml .= '});';
    $outHtml .= " \n ";
    
    $outHtml .= '$("#graph003").tabs({';
    $outHtml .= '    create: function (event, ui) {';
    $outHtml .= '        $("#chartContainer003").CanvasJSChart(options3);';
    $outHtml .= '    },';
    $outHtml .= '    activate: function (event, ui) {';
    $outHtml .= '        ui.newPanel.children().first().CanvasJSChart().render();';
    $outHtml .= '    }';
    $outHtml .= '});';    
    $outHtml .= " \n ";
    
    $outHtml .= ' ';
    $outHtml .= " \n ";
    $outHtml .= '} ';
    $outHtml .= " \n ";
    $outHtml .= '</script> ';
    $outHtml .= " \n ";
    
    return $outHtml;
}

/**
 * Funkce vrací HTML řetězec z grafem 
 * @param string $idx - Pořadové číslo grafu
 * @return string
 */
function getModelCanvasHtml($idx) {

    $outHtml = " \n ";
    $outHtml .= '<div id="graph'.$idx.'" style="height: 370px; max-width: 920px; margin: 0px auto;">';
    $outHtml .= " \n ";
    
    $outHtml .= '<div id="chartContainer'.$idx.'" style="height: 370px; max-width: 920px; margin: 0px auto;"></div> ';
    $outHtml .= " \n ";
    $outHtml .= '</div> ';
    $outHtml .= " \n ";
    return $outHtml;
    
}
    

