-- --------------------------------------------------------
-- Host:                         127.0.0.1
-- Server version:               5.5.28 - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL version:             7.0.0.4053
-- Date/time:                    2024-03-24 17:29:34
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET FOREIGN_KEY_CHECKS=0 */;

-- Dumping structure for table cevema.currency
CREATE TABLE IF NOT EXISTS `currency` (
  `currency_code` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód měny',
  `desc_text` varchar(100) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Popis měny',
  `symbol_text` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT 'Symbol měny. Např. Kč.',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`currency_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Měny';

-- Data exporting was unselected.


-- Dumping structure for table cevema.evaluationlist
CREATE TABLE IF NOT EXISTS `evaluationlist` (
  `exit_type` char(1) COLLATE utf8_czech_ci NOT NULL DEFAULT '1' COMMENT 'Typ výstupu: 1=Minimalizace 2=Maximalizace',
  `eval_code` char(4) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód hodnocení',
  `eval_text` varchar(200) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Text hodnocení',
  `column_name` char(30) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Název DB sloupce v tab. modelinp pro vyhodnocení ',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`eval_code`),
  KEY `Index 2` (`exit_type`,`eval_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Seznam hodnocení';

-- Data exporting was unselected.


-- Dumping structure for table cevema.filter_data
CREATE TABLE IF NOT EXISTS `filter_data` (
  `user` char(20) DEFAULT NULL,
  `form_id` char(20) DEFAULT NULL,
  `tabname` varchar(30) DEFAULT NULL,
  `colname` varchar(30) DEFAULT NULL,
  `value` varchar(500) DEFAULT NULL,
  `dbtype` char(20) DEFAULT NULL,
  `exact` bit(1) DEFAULT NULL,
  `required` bit(1) DEFAULT NULL,
  `negation` bit(1) DEFAULT NULL,
  `caseSensitive` bit(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Data exporting was unselected.


-- Dumping structure for table cevema.menu
CREATE TABLE IF NOT EXISTS `menu` (
  `menu_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID menu',
  `parent_menu_id` int(11) DEFAULT NULL COMMENT 'ID menu rodiče',
  `base_menu_text` char(80) DEFAULT NULL COMMENT 'Název hlavního menu',
  `desc_text` char(80) DEFAULT NULL COMMENT 'Popis menu',
  `security_ind` char(1) DEFAULT NULL COMMENT 'Uroveň oprávnění',
  `sort_key` smallint(6) DEFAULT NULL COMMENT 'Třídící klíč',
  `file` char(80) DEFAULT NULL COMMENT 'Název a cesta k souboru s formulářem',
  `sub_menu` char(1) DEFAULT NULL COMMENT 'Podmenu Y/N',
  `param` char(80) DEFAULT NULL COMMENT 'Parametry menu',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`menu_id`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Menu IS';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modeldata
CREATE TABLE IF NOT EXISTS `modeldata` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `exit_type` char(1) COLLATE utf8_czech_ci NOT NULL COMMENT 'Typ výstupu: 1=Minimalizace 2=Maximalizace',
  `eval_code` char(4) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód hodnocení',
  `type_ind` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT ' A-Výrazně pod\\\\\\\\n B-Mírně pod\\\\\\\\n C-Na průměru-EU\\\\\\\\n D-Mírně nad\\\\\\\\n E-Výrazně nad\\\\\\\\n Z-Země',
  `country_code` char(3) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Kód země',
  `interval_ind` char(1) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Indikátor intervalu: od (F) do (T)',
  `value_qty` float NOT NULL COMMENT 'Hodnota',
  `entry_code` char(8) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Zapsal',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu údajů',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`),
  KEY `FK_modeldata_evaluationlist` (`eval_code`),
  KEY `Index 3` (`exit_type`,`eval_code`,`type_ind`,`valid_flag`),
  KEY `FK_modeldata_modeldatamax` (`type_ind`),
  CONSTRAINT `FK_modeldata_evaluationlist` FOREIGN KEY (`eval_code`) REFERENCES `evaluationlist` (`eval_code`),
  CONSTRAINT `FK_modeldata_modeldatamax` FOREIGN KEY (`type_ind`) REFERENCES `modeldatamax` (`type_ind`),
  CONSTRAINT `FK_modeldata_modeldatamin` FOREIGN KEY (`type_ind`) REFERENCES `modeldatamin` (`type_ind`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Vstupní hodnoty modelu';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modeldatamax
CREATE TABLE IF NOT EXISTS `modeldatamax` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `type_ind` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT ' 1-Výrazně pod\\\\n 2-Mírně pod\\\\n 3-Na průměru 4-EU\\\\n Mírně nad\\\\n 5-Výrazně nad\\\\n Z-Země',
  `country_code` char(3) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Kód země',
  `interval_ind` char(1) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Indikátor intervalu: od (F) do (T)',
  `births_sow_qty` float NOT NULL COMMENT 'Počet porodů na prasnici (rok)',
  `births_piglets_qty` float NOT NULL COMMENT 'Počet narozených selat na prasnici (rok)',
  `reared_piglets_qty` float NOT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)',
  `addition_fattening_qty` float NOT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)',
  `removal_live_weight_qty` float NOT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)',
  `production_sow_meat_qty` float NOT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)',
  `entry_code` char(8) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Zapsal',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu údajů',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`),
  KEY `Index 2` (`type_ind`,`country_code`,`interval_ind`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Vstupní hodnoty maximalizace';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modeldatamin
CREATE TABLE IF NOT EXISTS `modeldatamin` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `type_ind` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT ' 1-Výrazně pod\\\\n 2-Mírně pod\\\\n 3-Na průměru 4-EU\\\\n Mírně nad\\\\n 5-Výrazně nad\\\\n Z-Země',
  `country_code` char(3) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Kód země',
  `interval_ind` char(1) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Indikátor intervalu: od (F) do (T)',
  `mortality_qty` float NOT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)',
  `feed_qty` float NOT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)',
  `fodder_qty` float NOT NULL COMMENT 'Krmiva Kč/kg/carcas',
  `mat_cost_amt` float NOT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč',
  `person_cost_amt` float NOT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč',
  `other_cost_amt` float NOT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč',
  `entry_code` char(8) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Zapsal',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu údajů',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`),
  KEY `Index 2` (`type_ind`,`country_code`,`interval_ind`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Vstupní hodnoty minimalizace';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modelinp
CREATE TABLE IF NOT EXISTS `modelinp` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `mortality_qty` decimal(10,2) NOT NULL COMMENT 'Úhyn při odchovu a výkrmu (%)',
  `feed_qty` decimal(10,2) NOT NULL COMMENT 'Spotřebu krmiv na 1 kg přírůstku (kg)',
  `fodder_qty` decimal(10,2) NOT NULL COMMENT 'Krmiva Kč/kg/carcas',
  `mat_cost_amt` decimal(10,2) NOT NULL COMMENT 'Materiálové náklady na carcas (kg) v Kč',
  `person_cost_amt` decimal(10,2) NOT NULL COMMENT 'Osobní náklady na carcas (kg) v Kč',
  `other_cost_amt` decimal(10,2) NOT NULL COMMENT 'Ostatní náklady na carcas (kg) v Kč',
  `births_sow_qty` decimal(10,2) NOT NULL COMMENT 'Počet porodů na prasnici (rok)',
  `births_piglets_qty` decimal(10,2) NOT NULL COMMENT 'Počet narozených selat na prasnici (rok)',
  `reared_piglets_qty` decimal(10,2) NOT NULL COMMENT 'Počet selat odchovaných na prasnici (rok)',
  `addition_fattening_qty` decimal(10,2) NOT NULL COMMENT 'Přírůstek výkrmu na 1 kus za den (g)',
  `removal_live_weight_qty` decimal(10,2) NOT NULL COMMENT 'Vyskladnění živá váha 1 kus (kg)',
  `production_sow_meat_qty` decimal(10,2) NOT NULL COMMENT 'Produkce masa na 1 prasnici za rok (kg)',
  `currency_code` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód měny',
  `conv_qty` double NOT NULL COMMENT 'Směnný kurz',
  `name_text` varchar(256) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Název farmy',
  `email` varchar(120) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Kontaktní email',
  `production_area` varchar(1) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Výroba je umístěna v oblasti: 1-kukuřičná, 2-řepařská, 3-bramborářská, 4-horská',
  `farm_capacity` varchar(1) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Kapacita farmy (ks živých zvířat): 1-do 100 ks, 2-do 500 ks, 3-do 1000 ks, 4-nad 1000 ks ',
  `entry_code` char(20) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Zapsal',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu údajů',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_modelinp_currency` (`currency_code`),
  CONSTRAINT `FK_modelinp_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Vstupní hodnoty modelu zadané uživatelem';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modelintervalinp
CREATE TABLE IF NOT EXISTS `modelintervalinp` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `min_mortality_from` decimal(10,2) NOT NULL COMMENT 'OD - Úhyn při odchovu a výkrmu (%)',
  `min_mortality_to` decimal(10,2) NOT NULL COMMENT 'DO - Úhyn při odchovu a výkrmu (%)',
  `avg_mortality_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Úhyn při odchovu a výkrmu (%)',
  `min_feed_issue_from` decimal(10,2) NOT NULL COMMENT 'OD - Spotřebu krmiv na 1 kg přírůstku (kg)',
  `min_feed_issue_to` decimal(10,2) NOT NULL COMMENT 'DO - Spotřebu krmiv na 1 kg přírůstku (kg)',
  `avg_feed_issue_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Spotřebu krmiv na 1 kg přírůstku (kg)',
  `min_fodder_qty_from` decimal(10,2) NOT NULL COMMENT 'OD - Krmiva Kč/kg/carcas',
  `min_fodder_qty_to` decimal(10,2) NOT NULL COMMENT 'DO - Krmiva Kč/kg/carcas',
  `avg_fodder_qty_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Krmiva Kč/kg/carcas',
  `min_mat_cost_amt_from` decimal(10,2) NOT NULL COMMENT 'OD - Materiálové náklady na carcas (kg) v Kč',
  `min_mat_cost_amt_to` decimal(10,2) NOT NULL COMMENT 'DO - Materiálové náklady na carcas (kg) v Kč',
  `avg_mat_cost_amt_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Materiálové náklady na carcas (kg) v Kč',
  `min_person_cost_amt_from` decimal(10,2) NOT NULL COMMENT 'OD - Osobní náklady na carcas (kg) v Kč',
  `min_person_cost_amt_to` decimal(10,2) NOT NULL COMMENT 'DO - Osobní náklady na carcas (kg) v Kč',
  `avg_person_cost_amt_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Osobní náklady na carcas (kg) v Kč',
  `min_other_cost_amt_from` decimal(10,2) NOT NULL COMMENT 'OD - Ostatní náklady na carcas (kg) v Kč',
  `min_other_cost_amt_to` decimal(10,2) NOT NULL COMMENT 'DO - Ostatní náklady na carcas (kg) v Kč',
  `avg_other_cost_amt_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Ostatní náklady na carcas (kg) v Kč',
  `max_births_sow_from` decimal(10,2) NOT NULL COMMENT 'OD - Počet porodů na prasnici (rok)',
  `max_births_sow_to` decimal(10,2) NOT NULL COMMENT 'DO - Počet porodů na prasnici (rok)',
  `avg_births_sow_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Počet porodů na prasnici (rok)',
  `max_births_piglets_from` decimal(10,2) NOT NULL COMMENT 'OD - Počet narozených selat na prasnici (rok)',
  `max_births_piglets_to` decimal(10,2) NOT NULL COMMENT 'DO - Počet narozených selat na prasnici (rok)',
  `avg_births_piglets_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Počet narozených selat na prasnici (rok)',
  `max_reared_piglets_from` decimal(10,2) NOT NULL COMMENT 'OD - Počet selat odchovaných na prasnici (rok)',
  `max_reared_piglets_to` decimal(10,2) NOT NULL COMMENT 'DO - Počet selat odchovaných na prasnici (rok)',
  `avg_reared_piglets_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Počet selat odchovaných na prasnici (rok)',
  `max_addition_fattening_from` decimal(10,2) NOT NULL COMMENT 'OD - Přírůstek výkrmu na 1 kus za den (g)',
  `max_addition_fattening_to` decimal(10,2) NOT NULL COMMENT 'DO - Přírůstek výkrmu na 1 kus za den (g)',
  `avg_addition_fattening_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Přírůstek výkrmu na 1 kus za den (g)',
  `max_removal_live_weight_from` decimal(10,2) NOT NULL COMMENT 'OD - Vyskladnění živá váha 1 kus (kg)',
  `max_removal_live_weight_to` decimal(10,2) NOT NULL COMMENT 'DO - Vyskladnění živá váha 1 kus (kg)',
  `avg_removal_live_weight_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Vyskladnění živá váha 1 kus (kg)',
  `max_production_sow_meat_from` decimal(10,2) NOT NULL COMMENT 'OD - Produkce masa na 1 prasnici za rok (kg)',
  `max_production_sow_meat_to` decimal(10,2) NOT NULL COMMENT 'DO - Produkce masa na 1 prasnici za rok (kg)',
  `avg_production_sow_meat_text` varchar(40) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Průměr - Produkce masa na 1 prasnici za rok (kg)',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Volba hodnot možná v intervalu';

-- Data exporting was unselected.


-- Dumping structure for table cevema.modelresult
CREATE TABLE IF NOT EXISTS `modelresult` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `id_modelinput` int(11) NOT NULL COMMENT 'ID modelinp',
  `line_num` smallint(6) NOT NULL COMMENT 'Číslo řádky výsledku',
  `exit_type` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT 'Typ výstupu: 1=Minimalizace 2=Maximalizace',
  `eval_code` char(4) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód hodnocení',
  `type_ind` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT ' A-Výrazně pod\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n B-Mírně pod\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n C-Na průměru-EU\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n D-Mírně nad\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n E-Výrazně nad\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\n Z-Země',
  `eval_text` varchar(200) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Text hodnocení',
  `result_text` varchar(3000) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Výsledný text',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`),
  KEY `FK_modelresult_modelinp` (`id_modelinput`),
  KEY `FK_modelresult_evaluationlist` (`eval_code`),
  KEY `FK_modelresult_resulttextlist` (`exit_type`,`eval_code`,`type_ind`),
  CONSTRAINT `FK_modelresult_evaluationlist` FOREIGN KEY (`eval_code`) REFERENCES `evaluationlist` (`eval_code`),
  CONSTRAINT `FK_modelresult_modelinp` FOREIGN KEY (`id_modelinput`) REFERENCES `modelinp` (`id`) ON DELETE CASCADE,
  CONSTRAINT `FK_modelresult_resulttextlist` FOREIGN KEY (`exit_type`, `eval_code`, `type_ind`) REFERENCES `resulttextlist` (`exit_type`, `eval_code`, `row_ind`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Výsledky modelu dle vstupních dat';

-- Data exporting was unselected.


-- Dumping structure for table cevema.resulttextlist
CREATE TABLE IF NOT EXISTS `resulttextlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní identifikační číslo v tabulce',
  `exit_type` char(1) COLLATE utf8_czech_ci NOT NULL COMMENT 'Typ výstupu: 1=Minimalizace 2=Maximalizace',
  `eval_code` char(4) COLLATE utf8_czech_ci NOT NULL COMMENT 'Kód hodnocení',
  `row_ind` char(3) COLLATE utf8_czech_ci NOT NULL COMMENT 'Indikátor řádky. Nabývá hodnot: (A,B,C,D,E), (1,2,3,4,5)',
  `result_text` varchar(3000) COLLATE utf8_czech_ci DEFAULT NULL COMMENT 'Výsledný text',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id`),
  KEY `FK_resulttextlist_evaluationlist` (`eval_code`),
  KEY `Index 4` (`exit_type`,`eval_code`,`row_ind`,`valid_flag`),
  CONSTRAINT `FK_resulttextlist_evaluationlist2` FOREIGN KEY (`exit_type`, `eval_code`) REFERENCES `evaluationlist` (`exit_type`, `eval_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci COMMENT='Předdefinované výsledky hodnocení.';

-- Data exporting was unselected.


-- Dumping structure for table cevema.user
CREATE TABLE IF NOT EXISTS `user` (
  `user_code` char(8) NOT NULL DEFAULT '' COMMENT 'Přihlašovací jméno uživatele - login',
  `name_text` char(80) DEFAULT NULL COMMENT 'plné jméno',
  `security_ind` char(1) DEFAULT NULL COMMENT 'úroveň zabezpečení / přístupová úroveň',
  `password_text` char(80) DEFAULT NULL COMMENT 'heslo pro vstup do systému',
  `sign_on_date` date DEFAULT NULL COMMENT 'Datum nastavení',
  `phone_number` char(20) DEFAULT NULL COMMENT 'Telefonní číslo uživatele',
  `email` char(40) DEFAULT NULL COMMENT 'Email',
  `mobil_number` char(20) DEFAULT NULL COMMENT 'mobilní telefon',
  `fax_number` char(20) DEFAULT NULL COMMENT 'Fax',
  `admin_db` char(1) NOT NULL COMMENT 'Administrátor databáze (A/N)',
  `admin_is` char(1) NOT NULL COMMENT 'Administrátor informačního systému (A/N)',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`user_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Uživatelé systému';

-- Data exporting was unselected.
/*!40014 SET FOREIGN_KEY_CHECKS=1 */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
